#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xc2bdcb4b, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xa45cc0ef, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x1a510da4, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0xf83e279c, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0xfbd8dd5f, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xd51b5950, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x7ca8ac7f, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x7e15fc25, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x04875d12, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x54c19c4b, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x820a594f, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0xfd43dbdd, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x2589645b, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x6f6966ab, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x4fc0402f, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x90cbe354, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xd429f42d, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x60736112, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x2c754dfc, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xf2a547f6, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x64ac48dd, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0xb22711b8, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x23cdb2f8, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0xc777c94c, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xde8cc360, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x2baf6d83, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x2d80188c, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0xe7f61955, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x4376d1d2, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x7056fa2a, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xbdcc3630, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x7c0f5d32, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x0b89aa3f, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x397a8d58, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x8d4e29dc, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xec270d58, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x7e6f1182, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x8dc235b5, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xa7e61a7c, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xfd6901fb, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x81eb9695, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xfd4b5b98, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xf41fc41e, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x2ec87033, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0xd7239edc, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x12310fb1, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x12ba706f, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xe9858d18, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x8780e5c7, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0xc6fdbbfd, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x8abd43ce, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x09fd1cf2, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x1568efd6, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x62ce6313, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x6f51604f, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x5c2e6b3e, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x70545300, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xc37e7ee7, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x9ab4b1cc, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x890ee73f, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x95caf5c7, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0xaa9cb2b9, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xfe214859, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xfa4ace79, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x26783380, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x9019f9d5, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x84426e31, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xf4d5731e, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0xebd04fd8, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xbd12035c, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x5163a2d7, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x3347ba74, "");
SYMBOL_CRC(drm_bridge_connector_init, 0x4af711a8, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xc2de7fbe, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0xd9849e23, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x0f70acee, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x4a13cbf3, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xe4d99143, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x56808553, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x1db34ae5, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x242a54f3, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x4c3d2b57, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x7f47475b, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x3a302343, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x3b513082, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0xee7fd80a, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xac001c3f, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x3f158044, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x475f3b1a, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xf1fdef0f, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xd59a040c, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xab7ec1f3, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xf239bcd5, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0xbfc384b0, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x7f01e1bf, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0xfd78bb50, "");
SYMBOL_CRC(drm_flip_work_queue, 0x7964f9dc, "");
SYMBOL_CRC(drm_flip_work_commit, 0xc460392a, "");
SYMBOL_CRC(drm_flip_work_init, 0x93cec5c7, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x5aa2b037, "");
SYMBOL_CRC(drm_format_conv_state_init, 0x29c6141b, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xface4acd, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0xd09bd550, "");
SYMBOL_CRC(drm_format_conv_state_release, 0xd68515a0, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x9905cbb2, "");
SYMBOL_CRC(drm_fb_swab, 0x49f01e5b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x6c82d8ac, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x3e23f728, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0xa9dd78de, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xf2b8250c, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x2d1572fb, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0xac522091, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xb96f0a19, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x3590dbdd, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x89508c16, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0xc3cbc88f, "");
SYMBOL_CRC(drm_fb_blit, 0x48648ba0, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x23e6c15b, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0xdb8e801a, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xbc61db3a, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x6b6d9502, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xd85d5cc3, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x5ab760b8, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x38ba1eaf, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x295b9425, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x5e2006f3, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xf40f4759, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x7f051e84, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0xccac3220, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x9753536d, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xa5a39b40, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x507c7118, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xad372c65, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0xc3eec642, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0xb21090bb, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x90906cac, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0xcd6c5cc3, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x15b5fa56, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xfc529295, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xbb65ca8e, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x40a2fe87, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0xe17954f6, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0xb70648d8, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0xa1415720, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x6a86865e, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0xe636cc7a, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xbbea30e6, "");
SYMBOL_CRC(drm_crtc_init, 0x48849ef4, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x6087bc66, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x3e737625, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xa44690d8, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x44594d38, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x0c28393b, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x9092ce15, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x8bdcd4b3, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x6d7fca6b, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x7c504fd2, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xe05b980a, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x385a0c23, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x79593677, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x83b8f007, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0xaeb28ea5, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0xb7fc0f06, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0xa1abd3ff, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x6ae563a9, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x6392fd28, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x05aeab40, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x8d84a3e2, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x9e9cc0e1, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xa9d3608f, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0xc033e2dd, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x0229d8ed, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x7bf66026, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xd5495e3a, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xca1dfa8b, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x0ae0de41, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x97d09426, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x7d1a4395, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0xeb20628a, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xecc12f9c, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xfac96625, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0xb8130eb1, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xb4fb9e99, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0xb7e7350a, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x55461139, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0x296ab2bc, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x74362f95, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x1d7202a8, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x088d45a2, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x926fa414, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x3bf8a94f, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x5546cf8a, "");
SYMBOL_CRC(drm_fb_helper_init, 0x324caf29, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0xe1b8c7a6, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0x50addfef, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0xfa526bbd, "");
SYMBOL_CRC(drm_fb_helper_fini, 0xbc29610a, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x7195f9ee, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0xed057124, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x613691ce, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0xb1443881, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x7fe6bf63, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xc17f2a85, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x60dd7f79, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0xc5ae7d21, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x91b4d61a, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0xce860208, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xabffed4c, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0xb169722e, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0xa403133f, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0xcf4d8e4d, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0x5ad52fc3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3561660e, "unregister_framebuffer" },
	{ 0x50a28d48, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0xd59b59c4, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x6b8c3477, "drm_client_register" },
	{ 0x65f07fdb, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x3ab177ec, "drm_panel_get_modes" },
	{ 0x6390f45c, "drm_gem_vmap_unlocked" },
	{ 0x1b9a1639, "try_module_get" },
	{ 0xa5da67c, "vmemmap" },
	{ 0x7374f581, "drm_connector_list_update" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xeb72e052, "drm_bridge_add" },
	{ 0x92b484f, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0xdaed146a, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xecacdb92, "devm_kmalloc" },
	{ 0x791c9476, "drm_client_rotation" },
	{ 0xc353b413, "drm_client_buffer_vmap" },
	{ 0xeefa8698, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3f4f14bd, "drm_framebuffer_init" },
	{ 0xd4b471bf, "drm_mode_validate_driver" },
	{ 0xe15670dc, "vmalloc_to_page" },
	{ 0xf1e1c032, "drm_atomic_add_affected_planes" },
	{ 0x96619fe2, "dma_buf_end_cpu_access" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x771f8f77, "drm_modeset_unlock_all" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfd7ec6df, "drm_mode_probed_add" },
	{ 0x55976318, "drm_atomic_add_affected_connectors" },
	{ 0xea64950c, "drm_gem_vunmap_unlocked" },
	{ 0x66bae697, "drm_bridge_hpd_enable" },
	{ 0xf96d3e99, "drm_crtc_vblank_count" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x53638201, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xddf1cdbe, "drm_client_framebuffer_delete" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x623f0dc0, "drm_client_framebuffer_create" },
	{ 0x9019c177, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xa1518bf7, "drm_mode_object_get" },
	{ 0xf7ec1d14, "drm_edid_override_connector_update" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x9c38db04, "drm_driver_legacy_fb_format" },
	{ 0xc7f17bd1, "drm_crtc_cleanup" },
	{ 0x17f05c39, "drm_connector_list_iter_begin" },
	{ 0xfa3b4680, "fb_deferred_io_init" },
	{ 0xafdba269, "drm_mode_set_config_internal" },
	{ 0x17eef38a, "fb_deferred_io_cleanup" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb02c5530, "framebuffer_alloc" },
	{ 0xf95c6125, "drm_encoder_cleanup" },
	{ 0x618e21ce, "drm_connector_unregister" },
	{ 0xeb025878, "drm_modeset_acquire_init" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0x25ed891c, "drm_client_modeset_probe" },
	{ 0x628ee9d4, "drm_warn_on_modeset_not_all_locked" },
	{ 0xb64fc693, "drm_plane_get_damage_clips" },
	{ 0x1e036fe8, "devres_add" },
	{ 0xff95e0c7, "dma_fence_wait_timeout" },
	{ 0x61bccf4f, "drm_add_modes_noedid" },
	{ 0x96d6d19f, "drm_bridge_remove" },
	{ 0x6e9a7303, "drm_mode_object_put" },
	{ 0xf4f20b88, "dev_driver_string" },
	{ 0x254fe5fd, "drm_crtc_vblank_get" },
	{ 0x1f0aae41, "drm_gem_object_lookup" },
	{ 0x959527da, "drm_crtc_send_vblank_event" },
	{ 0x5091269, "drm_connector_attach_encoder" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0xce50b74d, "fb_sys_write" },
	{ 0x2b59d596, "drm_atomic_normalize_zpos" },
	{ 0xd0149e8, "drm_edid_connector_update" },
	{ 0x68d952e2, "drm_sysfs_hotplug_event" },
	{ 0x64f3ebaf, "drm_bridge_hpd_disable" },
	{ 0x32a0ce24, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc761dee3, "__drmm_add_action_or_reset" },
	{ 0xb3cf297e, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x9605a241, "sys_fillrect" },
	{ 0xdad588c8, "drm_connector_list_iter_end" },
	{ 0xee17f2ce, "drm_atomic_set_crtc_for_plane" },
	{ 0xd76552be, "drm_bridge_edid_read" },
	{ 0x3304583a, "drm_client_modeset_dpms" },
	{ 0xa4890474, "drm_mode_prune_invalid" },
	{ 0x5a802330, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x806a498b, "_dev_info" },
	{ 0x386503b, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xb02a2cc4, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xa7e2dd7e, "module_put" },
	{ 0x3070a8f7, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x5ac19dc8, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xb74dc09d, "drm_client_init" },
	{ 0xf00915cb, "drm_crtc_wait_one_vblank" },
	{ 0xa2f2d7f2, "drm_crtc_next_vblank_start" },
	{ 0xa763e1c, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x4996324c, "drm_modeset_lock" },
	{ 0x4bed2bd0, "drm_client_modeset_commit_locked" },
	{ 0x42c33817, "drm_modeset_unlock" },
	{ 0x272445db, "drm_panel_disable" },
	{ 0x73f599c9, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe19ca705, "drm_connector_init" },
	{ 0x1e47c358, "devm_kfree" },
	{ 0x790726bb, "_dev_err" },
	{ 0xb16d6d3, "drm_writeback_cleanup_job" },
	{ 0x33e95079, "drm_modeset_lock_all_ctx" },
	{ 0x1aff2038, "i2c_unregister_device" },
	{ 0xb580f4d8, "drm_atomic_set_fb_for_plane" },
	{ 0xd399cffd, "__drm_universal_plane_alloc" },
	{ 0x50139b5c, "drm_connector_init_with_ddc" },
	{ 0x7d845717, "drm_edid_connector_add_modes" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x27eac75a, "__devres_alloc_node" },
	{ 0xb545c786, "drm_edid_read" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xcef48119, "drm_crtc_commit_wait" },
	{ 0x1bf68fa4, "drm_dev_has_vblank" },
	{ 0x75caa106, "register_framebuffer" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x6bc313a0, "__drm_atomic_helper_disable_plane" },
	{ 0x2b4f1ced, "drm_connector_set_orientation_from_panel" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xb483e31d, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x27da0f74, "drm_atomic_set_crtc_for_connector" },
	{ 0x8e4cd50e, "drm_analog_tv_mode" },
	{ 0xea6bcf27, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x74ad2531, "drm_mode_duplicate" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xde87d111, "drm_crtc_vblank_put" },
	{ 0xcfabe482, "i2c_new_client_device" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xfa953aa4, "__drm_dev_dbg" },
	{ 0x99035598, "drm_plane_get_damage_clips_count" },
	{ 0xc8bc1d44, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xd707f0c5, "fb_deferred_io_mmap" },
	{ 0xddd16950, "drm_atomic_state_alloc" },
	{ 0x7d16a6d0, "drm_client_modeset_commit" },
	{ 0x8359455b, "_dev_warn" },
	{ 0x218ac4d3, "drm_atomic_bridge_chain_post_disable" },
	{ 0xa5a1294d, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x59dc5713, "fb_set_suspend" },
	{ 0x6108288f, "complete_all" },
	{ 0x5af0255a, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x990ca7d1, "drm_client_release" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xebf02589, "__drm_atomic_helper_set_config" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xab5d32b7, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x24f3972e, "drm_get_format_info" },
	{ 0x6da4bb90, "drm_connector_cleanup" },
	{ 0x1289291a, "drm_universal_plane_init" },
	{ 0x8b26f1e1, "drm_any_plane_has_format" },
	{ 0x5e727df5, "sys_copyarea" },
	{ 0x8572a859, "drm_connector_list_iter_next" },
	{ 0x8b4a58ef, "drm_modeset_acquire_fini" },
	{ 0xb44750cb, "drm_encoder_init" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x999e8297, "vfree" },
	{ 0xdddc0498, "drm_object_property_get_default_value" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7d7e23c6, "param_ops_bool" },
	{ 0x43b2c180, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf77c30dd, "drm_modeset_backoff" },
	{ 0xafa0f075, "drm_panel_prepare" },
	{ 0xbe350b1f, "drm_bridge_chain_mode_set" },
	{ 0x616abe61, "drm_client_buffer_vunmap" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x2f698b3c, "fb_sys_read" },
	{ 0x1a947246, "drm_atomic_get_plane_state" },
	{ 0xbc0c6d87, "drm_atomic_bridge_chain_check" },
	{ 0xae59056c, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x7fb19c40, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x252cf806, "drm_property_blob_put" },
	{ 0xd7e801d4, "drm_mode_destroy" },
	{ 0xfd792cdf, "drm_bridge_attach" },
	{ 0xb0c5649c, "drm_set_preferred_mode" },
	{ 0xd5eb59ba, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xb8b0a6f7, "drm_atomic_state_clear" },
	{ 0x2b77d4d7, "drm_mode_config_reset" },
	{ 0x2bf32726, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0xb8ff43b, "drm_modeset_drop_locks" },
	{ 0x3dba941a, "fwnode_handle_put" },
	{ 0xa9886b7e, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x57b15031, "drm_atomic_bridge_chain_disable" },
	{ 0x46d4e128, "drm_mode_create_from_cmdline_mode" },
	{ 0x7fea1a89, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x76482c9e, "param_ops_int" },
	{ 0xa50411e7, "drm_atomic_nonblocking_commit" },
	{ 0x584f565, "debugfs_create_dir" },
	{ 0xb1176e59, "try_wait_for_completion" },
	{ 0xedcd4074, "drm_master_internal_release" },
	{ 0x9f9be03, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x40736b7, "drm_panel_unprepare" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0x640ee771, "drm_atomic_add_encoder_bridges" },
	{ 0xecb631e, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x358be538, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,fb_sys_fops,sysimgblt,sysfillrect,i2c-core,syscopyarea");


MODULE_INFO(srcversion, "280069EFFFE9685C6B36A95");
MODULE_INFO(rhelversion, "9.99");
