#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbd12492f, "drm_crtc_add_crc_entry" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x8518a660, "drm_open" },
	{ 0xce53deaf, "drm_poll" },
	{ 0x295b9425, "__drm_gem_reset_shadow_plane" },
	{ 0x5495eb19, "drm_mode_crtc_set_gamma_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x54c19c4b, "drm_atomic_helper_commit_modeset_enables" },
	{ 0xcde64bbe, "devres_release_group" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xa45cc0ef, "drm_atomic_helper_check_wb_connector_state" },
	{ 0xf1e1c032, "drm_atomic_add_affected_planes" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x917550aa, "drm_gem_shmem_dumb_create" },
	{ 0x7c0f5d32, "drm_atomic_helper_disable_plane" },
	{ 0x8d4e29dc, "drm_atomic_helper_shutdown" },
	{ 0x4376d1d2, "drm_atomic_helper_cleanup_planes" },
	{ 0x4c61c5b3, "hrtimer_init" },
	{ 0xa1518bf7, "drm_mode_object_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x955ab5a0, "drm_writeback_queue_job" },
	{ 0x2baf6d83, "drm_atomic_helper_commit_planes" },
	{ 0xc7f17bd1, "drm_crtc_cleanup" },
	{ 0x77e49baf, "drm_writeback_signal_completion" },
	{ 0xf95c6125, "drm_encoder_cleanup" },
	{ 0x4e00165b, "drmm_mode_config_init" },
	{ 0x61bccf4f, "drm_add_modes_noedid" },
	{ 0x6e9a7303, "drm_mode_object_put" },
	{ 0x254fe5fd, "drm_crtc_vblank_get" },
	{ 0x959527da, "drm_crtc_send_vblank_event" },
	{ 0x5091269, "drm_connector_attach_encoder" },
	{ 0x4875d12, "drm_atomic_helper_commit_modeset_disables" },
	{ 0xd3488b44, "drm_crtc_accurate_vblank_count" },
	{ 0xb053adda, "drm_rect_rotate" },
	{ 0x92997ed8, "_printk" },
	{ 0x60736112, "drm_atomic_helper_commit" },
	{ 0xd51b5950, "drm_atomic_helper_check" },
	{ 0x9019f9d5, "drm_atomic_helper_connector_destroy_state" },
	{ 0xfec4d7f8, "drm_gem_mmap" },
	{ 0x7656d447, "drm_ioctl" },
	{ 0x40a2fe87, "drm_gem_fb_vmap" },
	{ 0x5ac19dc8, "drm_atomic_get_crtc_state" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xdf666902, "drm_rotation_simplify" },
	{ 0xcf6f00a, "drm_writeback_connector_init" },
	{ 0xe19ca705, "drm_connector_init" },
	{ 0x64ac48dd, "drm_atomic_helper_fake_vblank" },
	{ 0x35efb338, "__drmm_universal_plane_alloc" },
	{ 0xc9b7847d, "drmm_crtc_init_with_planes" },
	{ 0xbb2bd5c3, "platform_device_unregister" },
	{ 0xbba617d0, "noop_llseek" },
	{ 0x8e4d2039, "drm_read" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0xe17954f6, "drm_gem_fb_vunmap" },
	{ 0x981c334f, "drm_crtc_vblank_on" },
	{ 0x33ff121c, "devres_open_group" },
	{ 0xfc529295, "drm_gem_fb_create" },
	{ 0x1a510da4, "drm_atomic_helper_check_plane_state" },
	{ 0xde87d111, "drm_crtc_vblank_put" },
	{ 0xbfa67d93, "drm_dev_unregister" },
	{ 0x61bb831, "__devm_drm_dev_alloc" },
	{ 0xa0509bed, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x58d7c9a2, "hrtimer_start_range_ns" },
	{ 0xb89aa3f, "drm_atomic_helper_set_config" },
	{ 0x296ab2bc, "drm_fbdev_generic_setup" },
	{ 0x12310fb1, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xfa4ace79, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x6da4bb90, "drm_connector_cleanup" },
	{ 0xa4c84dae, "dma_set_coherent_mask" },
	{ 0xe9858d18, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x17eeed35, "drm_crtc_enable_color_mgmt" },
	{ 0xb44750cb, "drm_encoder_init" },
	{ 0x98347c6e, "platform_device_register_full" },
	{ 0xd4ea450e, "drm_vblank_init" },
	{ 0xb91615e5, "drm_debugfs_add_files" },
	{ 0x7d7e23c6, "param_ops_bool" },
	{ 0x2589645b, "drm_atomic_helper_wait_for_flip_done" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd4413513, "drm_crtc_vblank_off" },
	{ 0xc3caba8c, "seq_printf" },
	{ 0x7c504fd2, "drm_helper_probe_single_connector_modes" },
	{ 0xd2e861fa, "drm_plane_create_rotation_property" },
	{ 0x2ec87033, "__drm_atomic_helper_crtc_reset" },
	{ 0xf23afe19, "drm_crtc_handle_vblank" },
	{ 0xa7172736, "hrtimer_cancel" },
	{ 0xfd6901fb, "drm_atomic_helper_page_flip" },
	{ 0x87e387f, "dma_set_mask" },
	{ 0xb0c5649c, "drm_set_preferred_mode" },
	{ 0xb22711b8, "drm_atomic_helper_commit_hw_done" },
	{ 0x9ab4b1cc, "drm_atomic_helper_connector_reset" },
	{ 0x2b77d4d7, "drm_mode_config_reset" },
	{ 0x8a1a058f, "hrtimer_forward" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0x6b6d9502, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5ab760b8, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x8155e383, "drm_crtc_arm_vblank_event" },
	{ 0xbdcc3630, "drm_atomic_helper_update_plane" },
	{ 0x9f9be03, "drm_calc_timestamping_constants" },
	{ 0x230c6859, "drm_compat_ioctl" },
	{ 0x772ef4bc, "drm_dev_register" },
	{ 0xbc61db3a, "drm_gem_plane_helper_prepare_fb" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0x158a6e40, "drm_release" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,drm_shmem_helper");


MODULE_INFO(srcversion, "6C47ED0073EE58173AFBB62");
MODULE_INFO(rhelversion, "9.99");
