#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_get_privileged_qkey, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x06830b9a, "");
SYMBOL_CRC(ib_unpack, 0xf96fc9de, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0x62aad347, "");
SYMBOL_CRC(__ib_alloc_pd, 0x7252d903, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0x8cb4546a, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x1f9945f4, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0xd47ac8bc, "");
SYMBOL_CRC(rdma_move_ah_attr, 0xafb759fd, "");
SYMBOL_CRC(rdma_create_ah, 0xc314bacc, "");
SYMBOL_CRC(rdma_create_user_ah, 0x20bbec91, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0xd5f80f72, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0xc4dba8ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0x4cfdba88, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x913856f4, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0xfc15eb30, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0x561e6153, "");
SYMBOL_CRC(rdma_modify_ah, 0x1dcc14fd, "");
SYMBOL_CRC(rdma_query_ah, 0xa9f116f0, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x694f7015, "");
SYMBOL_CRC(ib_create_srq_user, 0xdcb05f9e, "");
SYMBOL_CRC(ib_modify_srq, 0xfe84e971, "");
SYMBOL_CRC(ib_query_srq, 0x74138f97, "");
SYMBOL_CRC(ib_destroy_srq_user, 0x73c4aaaf, "");
SYMBOL_CRC(ib_open_qp, 0xefede0cc, "");
SYMBOL_CRC(ib_create_qp_user, 0xe5ba3953, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0x57266ec6, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0x062ea0cd, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x166281ec, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0xab62888d, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x37f6ac2c, "");
SYMBOL_CRC(ib_get_eth_speed, 0x4c0c671b, "");
SYMBOL_CRC(ib_modify_qp, 0x86d36667, "");
SYMBOL_CRC(ib_query_qp, 0xe0bed0e0, "");
SYMBOL_CRC(ib_close_qp, 0xb1de064a, "");
SYMBOL_CRC(ib_destroy_qp_user, 0xa6975fbc, "");
SYMBOL_CRC(__ib_create_cq, 0x3c73df0e, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0x17b00368, "");
SYMBOL_CRC(ib_destroy_cq_user, 0xf61003da, "");
SYMBOL_CRC(ib_resize_cq, 0x7a325339, "");
SYMBOL_CRC(ib_reg_user_mr, 0xed6124c1, "");
SYMBOL_CRC(ib_advise_mr, 0x982fb4f1, "");
SYMBOL_CRC(ib_dereg_mr_user, 0xbab2b72b, "");
SYMBOL_CRC(ib_alloc_mr, 0x379e0d2f, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0xee3f2bbe, "");
SYMBOL_CRC(ib_attach_mcast, 0x3e22d25b, "");
SYMBOL_CRC(ib_detach_mcast, 0xaf51bc97, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0x5e5f45ec, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x314a1ffc, "");
SYMBOL_CRC(ib_create_wq, 0x994f0b24, "");
SYMBOL_CRC(ib_destroy_wq_user, 0xe5ad07fa, "");
SYMBOL_CRC(ib_check_mr_status, 0x05c5fc4e, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x32904091, "");
SYMBOL_CRC(ib_get_vf_config, 0x29078d04, "");
SYMBOL_CRC(ib_get_vf_stats, 0x9383af28, "");
SYMBOL_CRC(ib_set_vf_guid, 0xa5c8adc9, "");
SYMBOL_CRC(ib_get_vf_guid, 0xd7a01d1e, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0x79a53bee, "");
SYMBOL_CRC(ib_map_mr_sg, 0x5f4031d3, "");
SYMBOL_CRC(ib_sg_to_pages, 0x187828a7, "");
SYMBOL_CRC(ib_drain_sq, 0x9e0c82b9, "");
SYMBOL_CRC(ib_drain_rq, 0xcf5fb6a2, "");
SYMBOL_CRC(ib_drain_qp, 0xb19ecbbe, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x71926d6f, "");
SYMBOL_CRC(rdma_init_netdev, 0xc6199f4b, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x4e52439b, "");
SYMBOL_CRC(__rdma_block_iter_next, 0xa06a13bd, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x79787750, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xfbc3a9a8, "");
SYMBOL_CRC(ib_process_cq_direct, 0x8e3dcc87, "");
SYMBOL_CRC(__ib_alloc_cq, 0x6bde094e, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0x49a9c913, "");
SYMBOL_CRC(ib_free_cq, 0x18371f8f, "");
SYMBOL_CRC(ib_cq_pool_get, 0x044f2ba0, "");
SYMBOL_CRC(ib_cq_pool_put, 0x6220ba2f, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0xb8688293, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0x4b4450e2, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0x78809ee9, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0x637ac45e, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0x96ad0241, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x27261e55, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x732ce070, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0x39d5608c, "");
SYMBOL_CRC(ib_port_register_client_groups, 0xc6a33ad7, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0xe5cda8f1, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0x51c12753, "");
SYMBOL_CRC(ibdev_printk, 0x3a39185a, "");
SYMBOL_CRC(ibdev_emerg, 0x0877a315, "");
SYMBOL_CRC(ibdev_alert, 0x3dde0915, "");
SYMBOL_CRC(ibdev_crit, 0x6f569208, "");
SYMBOL_CRC(ibdev_err, 0xabc5b339, "");
SYMBOL_CRC(ibdev_warn, 0x71e41360, "");
SYMBOL_CRC(ibdev_notice, 0xf2106767, "");
SYMBOL_CRC(ibdev_info, 0x91929258, "");
SYMBOL_CRC(ib_device_put, 0xf42d73ed, "");
SYMBOL_CRC(ib_device_get_by_name, 0x02985229, "");
SYMBOL_CRC(_ib_alloc_device, 0xca14b830, "");
SYMBOL_CRC(ib_dealloc_device, 0xba5f1aa5, "");
SYMBOL_CRC(ib_port_immutable_read, 0xd409b11f, "");
SYMBOL_CRC(ib_get_device_fw_str, 0xf1b6f007, "");
SYMBOL_CRC(ib_register_device, 0x10c7ec2b, "");
SYMBOL_CRC(ib_unregister_device, 0x4e806785, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0x2901b31a, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x8549cc39, "");
SYMBOL_CRC(ib_register_client, 0x254d6d4a, "");
SYMBOL_CRC(ib_unregister_client, 0xf0f59c27, "");
SYMBOL_CRC(ib_set_client_data, 0x694cb994, "");
SYMBOL_CRC(ib_register_event_handler, 0xb456e069, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x67e42fe2, "");
SYMBOL_CRC(ib_query_port, 0xc15d9191, "");
SYMBOL_CRC(ib_device_set_netdev, 0x03fb6575, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x10f02e1d, "");
SYMBOL_CRC(ib_query_pkey, 0x57f01855, "");
SYMBOL_CRC(ib_modify_device, 0x6d726ba6, "");
SYMBOL_CRC(ib_modify_port, 0xffc8958f, "");
SYMBOL_CRC(ib_find_gid, 0x39a7a246, "");
SYMBOL_CRC(ib_find_pkey, 0x82c168cc, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0xfd6e7d10, "");
SYMBOL_CRC(ib_set_device_ops, 0x3484cbd8, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0x438956b8, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0x11452c35, "");
SYMBOL_CRC(rdma_query_gid, 0x296b02c8, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0x4cbde83f, "");
SYMBOL_CRC(rdma_find_gid, 0x8c659564, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x1aefa095, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0xd0129041, "");
SYMBOL_CRC(ib_find_cached_pkey, 0xa459c56f, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0xef246d29, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x6294a366, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x3a8a9cac, "");
SYMBOL_CRC(rdma_get_gid_attr, 0x6d48f280, "");
SYMBOL_CRC(rdma_query_gid_table, 0xa2e7819d, "");
SYMBOL_CRC(rdma_put_gid_attr, 0xf99f29fc, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x2b0a2f22, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0xeaa7bc3f, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0x2923ee70, "");
SYMBOL_CRC(ib_dispatch_event, 0xe6679aa4, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x871e4209, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0xee6a7f04, "");
SYMBOL_CRC(ibnl_put_attr, 0xe6a50c08, "");
SYMBOL_CRC(rdma_nl_unicast, 0x57a36217, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0x004c081e, "");
SYMBOL_CRC(rdma_nl_multicast, 0xe0e35c9a, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0xfb32e08e, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x3cd8eef9, "");
SYMBOL_CRC(ib_mr_pool_get, 0xb1c7afdb, "");
SYMBOL_CRC(ib_mr_pool_put, 0xe0ce3f7f, "");
SYMBOL_CRC(ib_mr_pool_init, 0x4fb9f999, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x1e919b9c, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x9829f387, "");
SYMBOL_CRC(rdma_translate_ip, 0x9118e2fa, "");
SYMBOL_CRC(rdma_resolve_ip, 0xe7c81972, "");
SYMBOL_CRC(rdma_addr_cancel, 0x4adadaa1, "");
SYMBOL_CRC(ib_sa_register_client, 0x9573ffe4, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x42212bdb, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0x3e8d5eda, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0x78836456, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0xa54b30d4, "");
SYMBOL_CRC(ib_sa_join_multicast, 0xddd98146, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0x252154e5, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0x54634178, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0xb50fdafb, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0xea87b8ce, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0x92dac275, "");
SYMBOL_CRC(ib_create_send_mad, 0x25fe26f6, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0x2eefedc1, "");
SYMBOL_CRC(ib_free_send_mad, 0xffb132fa, "");
SYMBOL_CRC(ib_post_send_mad, 0x30dbe134, "");
SYMBOL_CRC(ib_free_recv_mad, 0x957cf84f, "");
SYMBOL_CRC(ib_modify_mad, 0x40323c47, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0x6afb83af, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0x626dac14, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0xbc87c1fd, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x400f2970, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x0ce5ac67, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0xce281cbc, "");
SYMBOL_CRC(rdma_link_register, 0x1bafe086, "");
SYMBOL_CRC(rdma_link_unregister, 0xcdcea56f, "");
SYMBOL_CRC(rdma_restrack_count, 0xc52d48ce, "");
SYMBOL_CRC(rdma_restrack_set_name, 0xdee53c4f, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0x9a0f85f6, "");
SYMBOL_CRC(rdma_restrack_new, 0x594a241c, "");
SYMBOL_CRC(rdma_restrack_add, 0x264422ac, "");
SYMBOL_CRC(rdma_restrack_get, 0xecac94f0, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0xe4d19bb8, "");
SYMBOL_CRC(rdma_restrack_put, 0x4f482eb4, "");
SYMBOL_CRC(rdma_restrack_del, 0xe8bd91dd, "");
SYMBOL_CRC(rdma_umap_priv_init, 0xd4416f56, "");
SYMBOL_CRC(rdma_user_mmap_io, 0x1c0e12bb, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x303598f1, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0xeb22d6a5, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0xb3eeada3, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x2674d9e4, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0x6af4fd4c, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0xd958eb60, "");
SYMBOL_CRC(ib_create_qp_security, 0xb6b94949, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0x0e4bcde4, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0xff0134fd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x5001bdd4, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa5da67c, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xf4745d86, "rdmacg_try_charge" },
	{ 0xb2cbdf49, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x69ad1435, "bpf_trace_run4" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x4687f629, "__nlmsg_put" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xa817a3f, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x207cd408, "dev_set_name" },
	{ 0x65b99f8e, "ip6_dst_hoplimit" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb8c22b8d, "trace_raw_output_prep" },
	{ 0xe254f4f8, "xa_get_mark" },
	{ 0x7819aea9, "__kmalloc_node" },
	{ 0x45bdb4f6, "nla_put_64bit" },
	{ 0x5a92a0f0, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdca4aa79, "__trace_trigger_soft_disabled" },
	{ 0xb5217fef, "dma_unmap_page_attrs" },
	{ 0xdb31ab91, "trace_event_printf" },
	{ 0x71aee4b1, "__ip_dev_find" },
	{ 0xd18dfaa4, "sysfs_remove_groups" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0xc1e16ef0, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x3e17de6e, "xas_find" },
	{ 0x5b696cfc, "kobject_init" },
	{ 0x36ea485f, "device_initialize" },
	{ 0xc6360f9b, "__dynamic_ibdev_dbg" },
	{ 0x4c6d4c0d, "sysfs_create_groups" },
	{ 0xfec003e3, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x39b4970d, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x23769b08, "in6_dev_finish_destroy" },
	{ 0x863550fc, "__netlink_kernel_create" },
	{ 0xb6c0b2fd, "bpf_trace_run2" },
	{ 0xba6326cf, "ip_route_output_flow" },
	{ 0x247a8b5, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xffb4dad1, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0x5f8a4443, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0x7bf2cc5f, "netlink_broadcast_filtered" },
	{ 0xb3edd824, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf4f20b88, "dev_driver_string" },
	{ 0x1e4f34fa, "trace_event_buffer_commit" },
	{ 0x45495dd, "dma_map_page_attrs" },
	{ 0xcfbf2810, "alloc_netdev_mqs" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xcebedd4f, "put_device" },
	{ 0x8b3febb2, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x8cc3c71f, "__alloc_skb" },
	{ 0x2102b286, "netlink_capable" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x66ebea22, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0xa7eeb06a, "vlan_dev_real_dev" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x1d8eac6c, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x790726bb, "_dev_err" },
	{ 0x23239a85, "init_net" },
	{ 0xd1574817, "kobject_add" },
	{ 0xd2510a63, "up_write" },
	{ 0x469717cb, "ipv6_stub" },
	{ 0x80d036bd, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa6445f9f, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xfc91e331, "netlink_unicast" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x5393f221, "dev_get_by_index" },
	{ 0x6682cc43, "kfree_skb_reason" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe80e400c, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x85abc85f, "strncmp" },
	{ 0xe1e4ba81, "nla_put" },
	{ 0x40eaed1, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xfd842aee, "netlink_kernel_release" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x63dadc0, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xae33ed40, "unregister_pernet_device" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb0e5815d, "__ethtool_get_link_ksettings" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa9392430, "xa_clear_mark" },
	{ 0x8805d2cc, "bpf_trace_run1" },
	{ 0x8cb7ab6, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x346d0f27, "netdev_get_xmit_slave" },
	{ 0x8359455b, "_dev_warn" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xe09191aa, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0x52cc9b41, "__neigh_event_send" },
	{ 0x41ca2d7, "dev_printk_emit" },
	{ 0x2e56c113, "kobject_create_and_add" },
	{ 0x103bafd6, "down_read" },
	{ 0x9b976d3e, "skb_trim" },
	{ 0xf528c655, "netdev_has_upper_dev_all_rcu" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xb327f418, "netdev_walk_all_upper_dev_rcu" },
	{ 0x1a042ddd, "bpf_trace_run3" },
	{ 0xaa5c3cd5, "__put_net" },
	{ 0x23a9fe9a, "_dev_notice" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcfdef2e0, "neigh_destroy" },
	{ 0x8abc9d1f, "kobject_del" },
	{ 0xaf81c1aa, "trace_event_buffer_reserve" },
	{ 0x178351e8, "dma_map_sgtable" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7d7e23c6, "param_ops_bool" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x869aaefe, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0x4fef673c, "dev_get_by_name" },
	{ 0xae60a20d, "netlink_ns_capable" },
	{ 0x67afffa2, "dst_release" },
	{ 0xb5ac6e6, "kobject_uevent" },
	{ 0x4bc22156, "rdmacg_uncharge" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x4e9e6a05, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xe42759b7, "vlan_dev_vlan_id" },
	{ 0xe18e05f3, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0xc8d12c8a, "ipv6_chk_addr" },
	{ 0x70336943, "xa_set_mark" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x76482c9e, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0x960d559c, "netlink_has_listeners" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0x72815d7d, "register_pernet_device" },
	{ 0xf2473dc9, "get_net_ns_by_fd" },
	{ 0xc25604ef, "class_register" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa17c5408, "kobject_put" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "36F90BC67008413CA19399C");
MODULE_INFO(rhelversion, "9.99");
