#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iwcm_reject_msg, "", "");
KSYMTAB_FUNC(iw_create_cm_id, "", "");
KSYMTAB_FUNC(iw_cm_disconnect, "", "");
KSYMTAB_FUNC(iw_destroy_cm_id, "", "");
KSYMTAB_FUNC(iw_cm_listen, "", "");
KSYMTAB_FUNC(iw_cm_reject, "", "");
KSYMTAB_FUNC(iw_cm_accept, "", "");
KSYMTAB_FUNC(iw_cm_connect, "", "");
KSYMTAB_FUNC(iw_cm_init_qp_attr, "", "");

SYMBOL_CRC(iwcm_reject_msg, 0xf3df871f, "");
SYMBOL_CRC(iw_create_cm_id, 0x1e853324, "");
SYMBOL_CRC(iw_cm_disconnect, 0xeaa8fba2, "");
SYMBOL_CRC(iw_destroy_cm_id, 0xc931b6e5, "");
SYMBOL_CRC(iw_cm_listen, 0xa012990d, "");
SYMBOL_CRC(iw_cm_reject, 0x3a7ea6cd, "");
SYMBOL_CRC(iw_cm_accept, 0xe8c24938, "");
SYMBOL_CRC(iw_cm_connect, 0xaafb7571, "");
SYMBOL_CRC(iw_cm_init_qp_attr, 0x5672e682, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb1e8126c, "down_timeout" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xee6a7f04, "ibnl_put_msg" },
	{ 0xc97da90f, "consume_skb" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xd566933c, "up" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xa11c1b42, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x57a36217, "rdma_nl_unicast" },
	{ 0x75a729a0, "rdma_nl_unregister" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe0e35c9a, "rdma_nl_multicast" },
	{ 0x23239a85, "init_net" },
	{ 0x81b433f2, "down" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe6a50c08, "ibnl_put_attr" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb76b7942, "__netdev_alloc_skb" },
	{ 0x86d36667, "ib_modify_qp" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x4c081e, "rdma_nl_unicast_wait" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x74dae967, "proc_dointvec" },
	{ 0x49e0b1dc, "unregister_net_sysctl_table" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0x85525be2, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x871e4209, "rdma_nl_register" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "341AEBEEC5E6EBD5A48FE71");
MODULE_INFO(rhelversion, "9.99");
