#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xe38c5b38, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x4188b50d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x780b3ed0, "fasync_helper" },
	{ 0x502dbfc, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x55d3882b, "netdev_info" },
	{ 0xfaf0065b, "netif_carrier_on" },
	{ 0xaf9dec3b, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe1e4ba81, "nla_put" },
	{ 0xe5c8711b, "from_kgid_munged" },
	{ 0x84e6635f, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x82e75d2d, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xcf573a37, "__skb_get_hash_symmetric" },
	{ 0xeb4c4bf3, "netif_tx_stop_all_queues" },
	{ 0xf3b8c10c, "dev_get_tstats64" },
	{ 0x92997ed8, "_printk" },
	{ 0x505f25fc, "rtnl_link_register" },
	{ 0xe7a8ec38, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe370945a, "misc_deregister" },
	{ 0xc0feaba7, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x361d8d35, "xdp_return_frame" },
	{ 0x6682cc43, "kfree_skb_reason" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x3dcf5286, "kill_fasync" },
	{ 0x4b2126a6, "skb_copy_datagram_iter" },
	{ 0xffef2f, "_copy_to_iter" },
	{ 0x57395910, "iov_iter_advance" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x9d6cda95, "bpf_prog_put" },
	{ 0xd30a7735, "sk_alloc" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x32ae9c29, "sock_init_data_uid" },
	{ 0xc815890b, "sk_free" },
	{ 0xba91df, "skb_queue_purge_reason" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x838045ca, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xadbcc6d7, "xdp_rxq_info_unreg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xda51c962, "__netif_napi_del" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa7e2dd7e, "module_put" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe798236d, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44e5091, "netdev_core_stats_inc" },
	{ 0x8d26bc91, "xdp_do_redirect" },
	{ 0x3b3327fa, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2446bccd, "__traceiter_xdp_exception" },
	{ 0xfa501c15, "xdp_return_frame_rx_napi" },
	{ 0x5a9811b8, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x84b33f12, "xdp_rxq_info_is_reg" },
	{ 0xe1734169, "netif_set_real_num_tx_queues" },
	{ 0xc3597100, "netif_set_real_num_rx_queues" },
	{ 0x1ec7bdf3, "lock_sock_nested" },
	{ 0x33b19d8d, "sk_attach_filter" },
	{ 0xdd07b1d7, "release_sock" },
	{ 0xe46dc64f, "__xdp_rxq_info_reg" },
	{ 0x2270edb3, "xdp_rxq_info_reg_mem_model" },
	{ 0x1374086, "napi_enable" },
	{ 0xfc3e7fa, "netif_napi_add_weight" },
	{ 0x363eb923, "__dev_get_by_name" },
	{ 0x78d706df, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x660d3b74, "netdev_state_change" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xcfbf2810, "alloc_netdev_mqs" },
	{ 0x4bb66aad, "ip_tunnel_header_ops" },
	{ 0x8ef0580e, "register_netdevice" },
	{ 0xe0a86131, "netif_tx_wake_queue" },
	{ 0x41b262f7, "ether_setup" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x6e20dffa, "dev_addr_mod" },
	{ 0xb377c804, "free_netdev" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc97da90f, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xe60ba306, "netif_receive_skb" },
	{ 0xea3b557c, "napi_gro_receive" },
	{ 0xb060298d, "napi_complete_done" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc3caba8c, "seq_printf" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x2a44ef51, "unregister_netdevice_queue" },
	{ 0xb7415b59, "build_skb" },
	{ 0xa817a3f, "skb_put" },
	{ 0xf9c69ad7, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4bb99cb4, "sock_recv_errqueue" },
	{ 0x314ae97e, "sk_filter_trim_cap" },
	{ 0x65f3ee2a, "skb_clone_tx_timestamp" },
	{ 0x48bffa65, "skb_tx_error" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xccafd855, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x831458ef, "skb_copy_ubufs" },
	{ 0xd58220a3, "___pskb_trim" },
	{ 0xb4bb6511, "napi_get_frags" },
	{ 0x145096b7, "iov_iter_single_seg_count" },
	{ 0xc0fdde0e, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xa5da67c, "vmemmap" },
	{ 0xc181e142, "net_hotdata" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x2fdf05b5, "__skb_flow_dissect" },
	{ 0x807b96c4, "skb_partial_csum_set" },
	{ 0x505fce58, "__pskb_pull_tail" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xde2f635a, "bpf_prog_get_type_dev" },
	{ 0x34a72089, "skb_page_frag_refill" },
	{ 0x753ac429, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x9af46461, "xdp_master_redirect" },
	{ 0x9494bb26, "__folio_put" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xd65cabfa, "_copy_from_iter" },
	{ 0xccdc42a6, "iov_iter_npages" },
	{ 0xace6ce77, "sock_alloc_send_pskb" },
	{ 0xd7151eb8, "zerocopy_sg_from_iter" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x73da25e, "skb_copy_datagram_from_iter" },
	{ 0xc1991f58, "eth_type_trans" },
	{ 0xaab4b823, "napi_schedule_prep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x858af674, "do_xdp_generic" },
	{ 0xe6d211c, "iov_iter_revert" },
	{ 0xe80e400c, "skb_push" },
	{ 0x60626249, "eth_get_headlen" },
	{ 0xc56f208, "napi_gro_frags" },
	{ 0x9cc201c0, "__napi_schedule" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x1dc926e2, "__page_frag_cache_drain" },
	{ 0x855e33cd, "get_net_ns" },
	{ 0x44d8a93a, "open_related_ns" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x9f1cd4fa, "make_kgid" },
	{ 0x70d84d24, "sk_detach_filter" },
	{ 0x46cf7018, "make_kuid" },
	{ 0x2bfcfa4f, "init_user_ns" },
	{ 0xfaa76ab4, "from_kuid" },
	{ 0xe2c683cc, "netdev_update_features" },
	{ 0x925cab38, "dev_get_mac_address" },
	{ 0xde6e19e2, "dev_set_mac_address_user" },
	{ 0x71d96028, "call_netdevice_notifiers" },
	{ 0xbb5dd54, "__module_get" },
	{ 0xff19e6cf, "from_kgid" },
	{ 0x8f6634f, "ethtool_op_get_link" },
	{ 0xd59f768f, "ethtool_op_get_ts_info" },
	{ 0xf151ba4c, "passthru_features_check" },
	{ 0x846ff0d5, "eth_mac_addr" },
	{ 0x7567d919, "eth_validate_addr" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C33CFACA67570D0347FFC3A");
MODULE_INFO(rhelversion, "9.99");
