#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0xcfedfde1, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x163a72e9, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0xf252e63e, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x0ca45986, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x138cb78e, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x4e72c2d0, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0xb75454d1, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x20c20580, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x7d4ff43a, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x714e76de, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0xcc9dba01, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xc2fdbff6, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x34d912fd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1b9a1639, "try_module_get" },
	{ 0xe370945a, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x98de1c15, "snprintf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x92997ed8, "_printk" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcebedd4f, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x806a498b, "_dev_info" },
	{ 0xa7e2dd7e, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xbc79a4f4, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x790726bb, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0xe92f8890, "device_create" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x85abc85f, "strncmp" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x63dadc0, "class_unregister" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x24039d1, "__nvme_submit_sync_cmd" },
	{ 0x8359455b, "_dev_warn" },
	{ 0xe7a8ec38, "misc_register" },
	{ 0xec32b6de, "nvme_auth_wait" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x103bafd6, "down_read" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xf82c57ef, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x45d3c773, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0x61e5d416, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc3caba8c, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x54f37641, "seq_puts" },
	{ 0xc4347634, "single_release" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0x958cb02e, "key_lookup" },
	{ 0x861115c, "single_open" },
	{ 0x555ccb97, "up_read" },
	{ 0xc25604ef, "class_register" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x92945f31, "nvme_auth_negotiate" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "2334A67F1664DD384A4C71C");
MODULE_INFO(rhelversion, "9.99");
