#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0xd310c8ef, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x4781ed5e, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x4bfeb795, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0x1a3db0bf, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x7e361f3d, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x4217fdc2, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x9797162a, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0x9d9b4d99, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0xdd5f56d0, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x28f5b1b5, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x4e805a22, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0xad2212ca, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0x2c102aef, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x3e17e75b, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x6f4d47b5, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x390bd0f0, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0x65fb5d16, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x98cc2502, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x043ad6a7, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0xed571224, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x0cad7bb0, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x2ad70c59, "");
SYMBOL_CRC(fcoe_transport_detach, 0x8695110a, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0xd9ac118c, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0xd0820c00, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0xec2869cb, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x1a569e72, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f4426e6, "fc_rport_lookup" },
	{ 0x8e2ea375, "dev_get_stats" },
	{ 0xa5da67c, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x90cc5e6, "param_ops_uint" },
	{ 0xa817a3f, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x207cd408, "dev_set_name" },
	{ 0xc97da90f, "consume_skb" },
	{ 0x7cc7c511, "fc_lport_init" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x1358a7f2, "device_unregister" },
	{ 0xffde6fa3, "skb_dequeue" },
	{ 0x37a0cba, "kfree" },
	{ 0xb89c1f95, "fc_rport_logoff" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x1fc9e2f9, "fc_disc_init" },
	{ 0x3e78dd25, "fc_rport_login" },
	{ 0xba91df, "skb_queue_purge_reason" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x65e9492b, "fc_linkdown" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xcebedd4f, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xd24f9849, "skb_queue_tail" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe31d0be9, "fc_lport_reset" },
	{ 0xf3b33943, "bus_unregister" },
	{ 0x23239a85, "init_net" },
	{ 0x80d036bd, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6682cc43, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe80e400c, "skb_push" },
	{ 0x89d73e36, "fc_lport_set_local_id" },
	{ 0x1392aaf0, "fc_exch_recv" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb0e5815d, "__ethtool_get_link_ksettings" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x33e04ad7, "device_register" },
	{ 0xd96de8cb, "__sysfs_match_string" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1bad94ab, "fc_vport_id_lookup" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x306cb6d6, "fc_elsct_init" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b5aaeae, "fc_disc_config" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x505fce58, "__pskb_pull_tail" },
	{ 0xdff2886e, "fc_fcp_init" },
	{ 0xb76b7942, "__netdev_alloc_skb" },
	{ 0x9b976d3e, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3c0ec48e, "__dev_queue_xmit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdadb6777, "alloc_pages" },
	{ 0x9494bb26, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4fef673c, "dev_get_by_name" },
	{ 0x9f6d9cb, "skb_clone" },
	{ 0xe1e23b09, "fc_seq_els_rsp_send" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0x76482c9e, "param_ops_int" },
	{ 0x9f8cb76d, "fc_rport_create" },
	{ 0xb67dd74c, "_dev_printk" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0x2521c8a3, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x7f2cdacc, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7e0f902f, "fc_linkup" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "C7F606BD37BCD2006CC51AC");
MODULE_INFO(rhelversion, "9.99");
