#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_conn_queue_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_queue_recv, "_gpl", "");
KSYMTAB_FUNC(iscsi_update_cmdsn, "_gpl", "");
KSYMTAB_FUNC(iscsi_prep_data_out_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_scsi_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_send_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_verify_itt, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_ctask, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_requeue_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_queuecommand, "_gpl", "");
KSYMTAB_FUNC(iscsi_target_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_queue, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_tx, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_rx, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_cmd_timed_out, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_unbind, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_abort, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_device_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_recovery_timedout, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_session_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_recover_target, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_max_scsi_cmds, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_add, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_start, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_stop, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_bind, "_gpl", "");
KSYMTAB_FUNC(iscsi_switch_str_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_set_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_addr_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_set_param, "_gpl", "");

SYMBOL_CRC(iscsi_conn_queue_xmit, 0x092d26f3, "_gpl");
SYMBOL_CRC(iscsi_conn_queue_recv, 0x967ff4e8, "_gpl");
SYMBOL_CRC(iscsi_update_cmdsn, 0xd812432c, "_gpl");
SYMBOL_CRC(iscsi_prep_data_out_pdu, 0x124a462f, "_gpl");
SYMBOL_CRC(iscsi_get_task, 0xf10e669c, "_gpl");
SYMBOL_CRC(__iscsi_put_task, 0x2fbef90f, "_gpl");
SYMBOL_CRC(iscsi_put_task, 0x112b8586, "_gpl");
SYMBOL_CRC(iscsi_complete_scsi_task, 0x8aae6542, "_gpl");
SYMBOL_CRC(iscsi_conn_send_pdu, 0x0d7939af, "_gpl");
SYMBOL_CRC(iscsi_itt_to_task, 0x15fa1fc2, "_gpl");
SYMBOL_CRC(__iscsi_complete_pdu, 0xbb380918, "_gpl");
SYMBOL_CRC(iscsi_complete_pdu, 0x00b44a4b, "_gpl");
SYMBOL_CRC(iscsi_verify_itt, 0x0615554f, "_gpl");
SYMBOL_CRC(iscsi_itt_to_ctask, 0x5901dc46, "_gpl");
SYMBOL_CRC(iscsi_session_failure, 0x51f45a48, "_gpl");
SYMBOL_CRC(iscsi_conn_failure, 0xa015af43, "_gpl");
SYMBOL_CRC(iscsi_requeue_task, 0xe3b92f48, "_gpl");
SYMBOL_CRC(iscsi_queuecommand, 0xf211d0bf, "_gpl");
SYMBOL_CRC(iscsi_target_alloc, 0x5fc288ef, "_gpl");
SYMBOL_CRC(iscsi_suspend_queue, 0x9968108f, "_gpl");
SYMBOL_CRC(iscsi_suspend_tx, 0x4fd7c77c, "_gpl");
SYMBOL_CRC(iscsi_suspend_rx, 0x04f4b156, "_gpl");
SYMBOL_CRC(iscsi_eh_cmd_timed_out, 0x0d2f3a60, "_gpl");
SYMBOL_CRC(iscsi_conn_unbind, 0x64021652, "_gpl");
SYMBOL_CRC(iscsi_eh_abort, 0x0f0cf4a1, "_gpl");
SYMBOL_CRC(iscsi_eh_device_reset, 0xdb906c5b, "_gpl");
SYMBOL_CRC(iscsi_session_recovery_timedout, 0xb1618ecd, "_gpl");
SYMBOL_CRC(iscsi_eh_session_reset, 0x84707576, "_gpl");
SYMBOL_CRC(iscsi_eh_recover_target, 0x7a62ec3e, "_gpl");
SYMBOL_CRC(iscsi_pool_init, 0x3bef2f73, "_gpl");
SYMBOL_CRC(iscsi_pool_free, 0x8d303b1b, "_gpl");
SYMBOL_CRC(iscsi_host_get_max_scsi_cmds, 0xe1137082, "_gpl");
SYMBOL_CRC(iscsi_host_add, 0x85b8599b, "_gpl");
SYMBOL_CRC(iscsi_host_alloc, 0x05b53c9f, "_gpl");
SYMBOL_CRC(iscsi_host_remove, 0x427e8d11, "_gpl");
SYMBOL_CRC(iscsi_host_free, 0x97fd7f19, "_gpl");
SYMBOL_CRC(iscsi_session_setup, 0x4057bc99, "_gpl");
SYMBOL_CRC(iscsi_session_remove, 0x9fa2ca6c, "_gpl");
SYMBOL_CRC(iscsi_session_free, 0x8e43e252, "_gpl");
SYMBOL_CRC(iscsi_session_teardown, 0x5bf04f97, "_gpl");
SYMBOL_CRC(iscsi_conn_setup, 0x42693f66, "_gpl");
SYMBOL_CRC(iscsi_conn_teardown, 0x5a9fb6a5, "_gpl");
SYMBOL_CRC(iscsi_conn_start, 0x489c6f28, "_gpl");
SYMBOL_CRC(iscsi_conn_stop, 0x47b47e03, "_gpl");
SYMBOL_CRC(iscsi_conn_bind, 0x795ab876, "_gpl");
SYMBOL_CRC(iscsi_switch_str_param, 0x12b2ad06, "_gpl");
SYMBOL_CRC(iscsi_set_param, 0x09f9950a, "_gpl");
SYMBOL_CRC(iscsi_session_get_param, 0xeaaeea32, "_gpl");
SYMBOL_CRC(iscsi_conn_get_addr_param, 0xeab9cbd5, "_gpl");
SYMBOL_CRC(iscsi_conn_get_param, 0xabcc5d88, "_gpl");
SYMBOL_CRC(iscsi_host_get_param, 0x0f6b7a37, "_gpl");
SYMBOL_CRC(iscsi_host_set_param, 0xdc1d396a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb67dd74c, "_dev_printk" },
	{ 0xf77dd626, "iscsi_dbg_trace" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xc3a08b39, "scsi_done" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x37a0cba, "kfree" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x92997ed8, "_printk" },
	{ 0xed7750ec, "scsi_add_host_with_dma" },
	{ 0xd0e74470, "scsi_host_alloc" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa1dd3e9d, "scsi_host_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3fba2ba8, "iscsi_free_session" },
	{ 0xa7e2dd7e, "module_put" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc6264e7a, "__tracepoint_iscsi_dbg_session" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xb5ebcc3c, "__traceiter_iscsi_dbg_session" },
	{ 0xda09b986, "__tracepoint_iscsi_dbg_eh" },
	{ 0xa0923a6c, "__traceiter_iscsi_dbg_eh" },
	{ 0x363ef721, "__tracepoint_iscsi_dbg_conn" },
	{ 0xc79588c8, "__traceiter_iscsi_dbg_conn" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xef45d32c, "__kfifo_init" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x236c8c64, "memcpy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe798236d, "jiffies" },
	{ 0xebf68b62, "iscsi_recv_pdu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x27dd82bd, "scsi_build_sense" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x87c43ae, "scsi_host_get" },
	{ 0xd311145, "iscsi_remove_session" },
	{ 0x65b0a8e9, "iscsi_host_for_each_session" },
	{ 0x4f3ff722, "scsi_remove_host" },
	{ 0xacbf8fda, "iscsi_force_destroy_session" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xf80a9ffe, "flush_signals" },
	{ 0x938efdc8, "iscsi_alloc_session" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x1b9a1639, "try_module_get" },
	{ 0x7230b503, "iscsi_add_session" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x63665057, "iscsi_conn_error_event" },
	{ 0x172de494, "iscsi_get_conn" },
	{ 0x6ce118da, "iscsi_put_conn" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xe63803c2, "iscsi_remove_conn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x41408c23, "iscsi_alloc_conn" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xfcd6123, "iscsi_add_conn" },
	{ 0x7e671a25, "iscsi_unblock_session" },
	{ 0x24d273d1, "add_timer" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x3c75f8b7, "iscsi_block_session" },
	{ 0xf7370f56, "system_state" },
	{ 0xb043dec2, "iscsi_session_chkready" },
	{ 0x76482c9e, "param_ops_int" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi");


MODULE_INFO(srcversion, "88ADC8D2E83A62B40136089");
MODULE_INFO(rhelversion, "9.99");
