#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_find_param_from_key, "", "");
KSYMTAB_FUNC(iscsit_get_datain_values, "", "");
KSYMTAB_FUNC(iscsit_increment_maxcmdsn, "", "");
KSYMTAB_FUNC(iscsit_cause_connection_reinstatement, "", "");
KSYMTAB_FUNC(iscsit_stop_dataout_timer, "", "");
KSYMTAB_FUNC(iscsi_change_param_sprintf, "", "");
KSYMTAB_FUNC(iscsi_target_check_login_request, "", "");
KSYMTAB_FUNC(iscsit_tmr_post_handler, "", "");
KSYMTAB_FUNC(iscsit_allocate_cmd, "", "");
KSYMTAB_FUNC(iscsit_sequence_cmd, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt_or_dump, "", "");
KSYMTAB_FUNC(iscsit_add_cmd_to_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_release_cmd, "", "");
KSYMTAB_FUNC(iscsit_free_cmd, "", "");
KSYMTAB_FUNC(iscsit_queue_rsp, "", "");
KSYMTAB_FUNC(iscsit_aborted_task, "", "");
KSYMTAB_FUNC(iscsit_add_reject, "", "");
KSYMTAB_FUNC(iscsit_reject_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_scsi_cmd, "", "");
KSYMTAB_FUNC(iscsit_set_unsolicited_dataout, "", "");
KSYMTAB_FUNC(iscsit_process_scsi_cmd, "", "");
KSYMTAB_FUNC(__iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_payload, "", "");
KSYMTAB_FUNC(iscsit_setup_nop_out, "", "");
KSYMTAB_FUNC(iscsit_process_nop_out, "", "");
KSYMTAB_FUNC(iscsit_handle_task_mgt_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_process_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_logout_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_snack, "", "");
KSYMTAB_FUNC(iscsit_build_datain_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_logout_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_nopin_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_r2ts_for_cmd, "", "");
KSYMTAB_FUNC(iscsit_build_rsp_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_task_mgt_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_text_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_reject, "", "");
KSYMTAB_FUNC(iscsit_thread_check_cpumask, "", "");
KSYMTAB_FUNC(iscsit_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_response_queue, "", "");
KSYMTAB_FUNC(iscsit_logout_post_handler, "", "");
KSYMTAB_FUNC(iscsit_register_transport, "", "");
KSYMTAB_FUNC(iscsit_unregister_transport, "", "");

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x9a3140cf, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0x6b88f103, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0x4e63df0e, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0x594e729c, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0x42e8f763, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0x6e82e6e5, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0x995fb299, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0x402d0de7, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0xa4aee671, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x8b163290, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0x3e52ab28, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0x1d0b35ac, "");
SYMBOL_CRC(iscsit_release_cmd, 0x429fe494, "");
SYMBOL_CRC(iscsit_free_cmd, 0x003e1987, "");
SYMBOL_CRC(iscsit_queue_rsp, 0xe6ef0dba, "");
SYMBOL_CRC(iscsit_aborted_task, 0x09f9770d, "");
SYMBOL_CRC(iscsit_add_reject, 0x639ec1fc, "");
SYMBOL_CRC(iscsit_reject_cmd, 0x7e897b59, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x2da424e0, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x98663d89, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0x079e36d0, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0x9076810e, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0xf17376c8, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0xa0e46f98, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0xb10ad4d9, "");
SYMBOL_CRC(iscsit_process_nop_out, 0xa5120ee9, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0x676c9767, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0x07738472, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0x09f0ecd1, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0x7cdc20d0, "");
SYMBOL_CRC(iscsit_handle_snack, 0x0859932b, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0xed3f247e, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0x5c88000c, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0xe3811b03, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0x89ef5c60, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0xe4f16e92, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x9f8a7b7a, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0x950b438f, "");
SYMBOL_CRC(iscsit_build_reject, 0x6c6520f4, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0x7385d07d, "");
SYMBOL_CRC(iscsit_immediate_queue, 0x4c4bd52d, "");
SYMBOL_CRC(iscsit_response_queue, 0x5d203e1b, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x6ad8a382, "");
SYMBOL_CRC(iscsit_register_transport, 0xe53cac51, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x2b515996, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x356b9083, "crypto_alloc_ahash" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xe7b37d88, "target_alloc_cmd_counter" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x1b9a1639, "try_module_get" },
	{ 0xa5da67c, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8af7d82c, "target_wait_for_cmds" },
	{ 0x64bd6c92, "transport_generic_new_cmd" },
	{ 0xd4f410d0, "target_free_cmd_counter" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xb20a568c, "target_execute_cmd" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x5028fd7f, "kernel_bind" },
	{ 0xd566933c, "up" },
	{ 0xf703a30d, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x7a0bda18, "target_submit" },
	{ 0x809547f9, "kernel_accept" },
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x8ad3f19, "kmem_cache_create" },
	{ 0xc7e0c8ff, "core_tpg_set_initiator_node_queue_depth" },
	{ 0xc07557cb, "target_stop_cmd_counter" },
	{ 0x1341347a, "transport_generic_handle_tmr" },
	{ 0xcdaef6ff, "transport_lookup_tmr_lun" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x87fcab48, "hex2bin" },
	{ 0x63c841af, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x63b935d1, "crypto_destroy_tfm" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x467e72bb, "transport_alloc_session_tags" },
	{ 0xb27519d9, "transport_alloc_session" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0xe3292a95, "sbitmap_prepare_to_wait" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x325ff5a8, "target_unregister_template" },
	{ 0xd93d1d43, "transport_send_check_condition_and_sense" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xab6ab4bf, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xa5492e7, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa7e2dd7e, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xf80a9ffe, "flush_signals" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xd7d49a44, "crypto_ahash_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x215d7f82, "__traceiter_sk_data_ready" },
	{ 0x23239a85, "init_net" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x743fd626, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954f099c, "idr_preload" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe7dcc743, "kmem_cache_free" },
	{ 0x379cabbb, "set_cpus_allowed_ptr" },
	{ 0xafa11f58, "transport_deregister_session_configfs" },
	{ 0x85abc85f, "strncmp" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x69925d0e, "sbitmap_queue_clear" },
	{ 0xce1d1440, "iov_iter_kvec" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x66b7d60b, "inet_pton_with_scope" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x23516cb9, "sock_sendmsg" },
	{ 0xae412647, "crypto_shash_update" },
	{ 0x6580b064, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x85f233e7, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xab40dff2, "target_cmd_parse_cdb" },
	{ 0x57034d29, "sock_set_reuseaddr" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5d4286fb, "crypto_ahash_finup" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x6f6d4ae1, "iov_iter_bvec" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x9e401777, "crypto_ahash_digest" },
	{ 0x6108288f, "complete_all" },
	{ 0x4c67524e, "crypto_ahash_final" },
	{ 0x6ec26740, "__target_init_cmd" },
	{ 0xe798236d, "jiffies" },
	{ 0xaa3af03b, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc91b84d8, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x648fb121, "core_tpg_check_initiator_node_acl" },
	{ 0x1f3d4aef, "target_cmd_init_cdb" },
	{ 0x6131a14f, "kernel_listen" },
	{ 0x29a38d9e, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0x8b173f6b, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xc1b990aa, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5e74b5d3, "crypto_shash_finup" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x599f03a6, "transport_wait_for_tasks" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5737840f, "target_get_sess_cmd" },
	{ 0xf88f4035, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2211f339, "sock_recvmsg" },
	{ 0x405b6c32, "core_tpg_deregister" },
	{ 0x165d15e2, "down_interruptible" },
	{ 0x25a57b95, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x5c6a5d67, "target_show_dynamic_sessions" },
	{ 0x9ce4dcbe, "sock_release" },
	{ 0x3af91b60, "target_register_template" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x163077fe, "tcp_sock_set_nodelay" },
	{ 0x1e96b054, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0xbbcfa96, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x51aefc56, "core_tpg_register" },
	{ 0x864e3000, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0xc21ee180, "crypto_ahash_update" },
	{ 0xc46bab10, "transport_deregister_session" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0xfa23c8e1, "crypto_alloc_shash" },
	{ 0x42468543, "__sbitmap_queue_get" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6286d0bb, "kmem_cache_destroy" },
	{ 0x59279327, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod");


MODULE_INFO(srcversion, "3CB6A744B3C29BE1B66A04D");
MODULE_INFO(rhelversion, "9.99");
