#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(uart_write_wakeup, "", "");
KSYMTAB_FUNC(uart_update_timeout, "", "");
KSYMTAB_FUNC(uart_get_baud_rate, "", "");
KSYMTAB_FUNC(uart_get_divisor, "", "");
KSYMTAB_FUNC(uart_xchar_out, "_gpl", "");
KSYMTAB_FUNC(uart_suspend_port, "", "");
KSYMTAB_FUNC(uart_resume_port, "", "");
KSYMTAB_FUNC(uart_register_driver, "", "");
KSYMTAB_FUNC(uart_unregister_driver, "", "");
KSYMTAB_FUNC(uart_console_device, "_gpl", "");
KSYMTAB_FUNC(uart_match_port, "", "");
KSYMTAB_FUNC(uart_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(uart_handle_cts_change, "_gpl", "");
KSYMTAB_FUNC(uart_insert_char, "_gpl", "");
KSYMTAB_FUNC(uart_try_toggle_sysrq, "_gpl", "");
KSYMTAB_FUNC(uart_get_rs485_mode, "_gpl", "");
KSYMTAB_FUNC(uart_add_one_port, "", "");
KSYMTAB_FUNC(uart_remove_one_port, "", "");
KSYMTAB_FUNC(uart_read_port_properties, "_gpl", "");
KSYMTAB_FUNC(uart_read_and_validate_port_properties, "_gpl", "");

SYMBOL_CRC(uart_write_wakeup, 0xd6406ebf, "");
SYMBOL_CRC(uart_update_timeout, 0xffdd0c5a, "");
SYMBOL_CRC(uart_get_baud_rate, 0xd2186e2e, "");
SYMBOL_CRC(uart_get_divisor, 0x63b71e9a, "");
SYMBOL_CRC(uart_xchar_out, 0xc2eb989b, "_gpl");
SYMBOL_CRC(uart_suspend_port, 0x9915b09b, "");
SYMBOL_CRC(uart_resume_port, 0xb80d7e6d, "");
SYMBOL_CRC(uart_register_driver, 0xd749c121, "");
SYMBOL_CRC(uart_unregister_driver, 0xc779083c, "");
SYMBOL_CRC(uart_console_device, 0xf3600de3, "_gpl");
SYMBOL_CRC(uart_match_port, 0xccdc5d82, "");
SYMBOL_CRC(uart_handle_dcd_change, 0x143534ef, "_gpl");
SYMBOL_CRC(uart_handle_cts_change, 0xb5819c55, "_gpl");
SYMBOL_CRC(uart_insert_char, 0x4884c44c, "_gpl");
SYMBOL_CRC(uart_try_toggle_sysrq, 0x06a7cbf4, "_gpl");
SYMBOL_CRC(uart_get_rs485_mode, 0x65d9a150, "_gpl");
SYMBOL_CRC(uart_add_one_port, 0x06fb5ae9, "");
SYMBOL_CRC(uart_remove_one_port, 0xf6791568, "");
SYMBOL_CRC(uart_read_port_properties, 0x91b38f9e, "_gpl");
SYMBOL_CRC(uart_read_and_validate_port_properties, 0xcf0c054f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x65da869d, "device_property_present" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x207cd408, "dev_set_name" },
	{ 0x132214c6, "tty_port_tty_set" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xeb5ea653, "platform_get_irq" },
	{ 0x98de1c15, "snprintf" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x215e2611, "tty_kref_put" },
	{ 0x23dbb764, "gpiod_set_value_cansleep" },
	{ 0x36ea485f, "device_initialize" },
	{ 0x236c8c64, "memcpy" },
	{ 0xb63f2236, "tty_port_link_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0xccdcce4, "__tty_alloc_driver" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x2d49508c, "tty_standard_install" },
	{ 0xb24d9ed1, "devm_gpiod_get_optional" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x4e8fecf9, "tty_hangup" },
	{ 0xbf178165, "tty_unregister_driver" },
	{ 0xffb4dad1, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xcebedd4f, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x76f6a99f, "device_property_read_u32_array" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x1687ec20, "tty_get_frame_size" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xc6cbbc89, "capable" },
	{ 0x663218be, "tty_port_tty_wakeup" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x58dabe97, "_dev_alert" },
	{ 0x4bee57f4, "tty_port_unregister_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf3b33943, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x790726bb, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0xa6445f9f, "device_add" },
	{ 0xcf1385ea, "tty_ldisc_ref" },
	{ 0x468539a2, "tty_vhangup" },
	{ 0x6c539cb3, "irq_get_irq_data" },
	{ 0xe43fc251, "__tty_insert_flip_string_flags" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x6421045a, "tty_port_destroy" },
	{ 0x4c07f8c3, "tty_port_init" },
	{ 0x85abc85f, "strncmp" },
	{ 0xdb3d503a, "seq_putc" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x2b972112, "driver_unregister" },
	{ 0x210f8b74, "__dev_fwnode_const" },
	{ 0xc62e7923, "tty_ldisc_deref" },
	{ 0xbaa8fe3c, "device_find_child" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8cb7ab6, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa734d269, "tty_port_register_device_attr_serdev" },
	{ 0x18410a19, "tty_port_close" },
	{ 0x8359455b, "_dev_warn" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe798236d, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x23a9fe9a, "_dev_notice" },
	{ 0xfe0969a4, "fwnode_property_present" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa76c871f, "tty_register_driver" },
	{ 0x3c4757de, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5d4af996, "tty_name" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3caba8c, "seq_printf" },
	{ 0x5df34b53, "tty_port_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x54f37641, "seq_puts" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x14d7477f, "console_list_unlock" },
	{ 0x889c51ef, "register_console" },
	{ 0xf8bfb086, "dev_err_probe" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0xd94610b, "fwnode_irq_get" },
	{ 0xcdca3691, "nr_irqs" },
	{ 0x6f14e9db, "console_list_lock" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xa90c9c3e, "driver_register" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0x746e83c2, "tty_driver_kref_put" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xecff911b, "__dev_fwnode" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0x7f2cdacc, "bus_register" },
	{ 0x983a7aaf, "tty_port_tty_get" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3C77C0A423524375987BE50");
MODULE_INFO(rhelversion, "9.99");
