#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mpls_output_possible, "_gpl", "");
KSYMTAB_FUNC(mpls_dev_mtu, "_gpl", "");
KSYMTAB_FUNC(mpls_pkt_too_big, "_gpl", "");
KSYMTAB_FUNC(mpls_stats_inc_outucastpkts, "_gpl", "");
KSYMTAB_FUNC(nla_put_labels, "_gpl", "");
KSYMTAB_FUNC(nla_get_labels, "_gpl", "");

SYMBOL_CRC(mpls_output_possible, 0x876140b2, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0xb1f5afc1, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0xbfeeb496, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0xcadce3ae, "_gpl");
SYMBOL_CRC(nla_put_labels, 0x40b1fa87, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xde3cca7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89cf17a6, "netlink_strict_get_check" },
	{ 0x70c201a1, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4687f629, "__nlmsg_put" },
	{ 0xa7755a5d, "skb_gso_validate_network_len" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc97da90f, "consume_skb" },
	{ 0x1f71bd4b, "dev_add_pack" },
	{ 0x98de1c15, "snprintf" },
	{ 0x41627443, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0xe0a1ede6, "neigh_xmit" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba6326cf, "ip_route_output_flow" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xc0fdde0e, "pskb_expand_head" },
	{ 0x1517fc1e, "register_pernet_subsys" },
	{ 0xa11c1b42, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x1c11ac8c, "rtnl_af_register" },
	{ 0x8cc3c71f, "__alloc_skb" },
	{ 0xa4794e82, "rtnl_set_sk_err" },
	{ 0xfee3573f, "rtnl_unicast" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x88fcd4c3, "nla_reserve_64bit" },
	{ 0x4fcf2556, "ip_valid_fib_dump_req" },
	{ 0xca4c64f0, "__dev_get_by_index" },
	{ 0x469717cb, "ipv6_stub" },
	{ 0x80d036bd, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc09c0bd0, "nla_reserve_nohdr" },
	{ 0xc9fcb20b, "rtnl_af_unregister" },
	{ 0x9dc46dd1, "dev_remove_pack" },
	{ 0x5393f221, "dev_get_by_index" },
	{ 0x6682cc43, "kfree_skb_reason" },
	{ 0xe80e400c, "skb_push" },
	{ 0xe1e4ba81, "nla_put" },
	{ 0xcd279169, "nla_find" },
	{ 0xc8ad0363, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd487617d, "rtnl_register_module" },
	{ 0xc2856dcb, "ip_tunnel_encap_del_ops" },
	{ 0xc9a54c23, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x505fce58, "__pskb_pull_tail" },
	{ 0x9b976d3e, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcf68df02, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9f6d9cb, "skb_clone" },
	{ 0x67afffa2, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x74dae967, "proc_dointvec" },
	{ 0x49e0b1dc, "unregister_net_sysctl_table" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0x9004f173, "dev_get_flags" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0xaa3212b1, "proc_dointvec_minmax" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "B9624937077F94E6702D446");
MODULE_INFO(rhelversion, "9.99");
