#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(halt_poll_ns, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_grow, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_grow_start, "_gpl", "");
KSYMTAB_DATA(halt_poll_ns_shrink, "_gpl", "");
KSYMTAB_DATA(kvm_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(vcpu_load, "_gpl", "");
KSYMTAB_FUNC(vcpu_put, "_gpl", "");
KSYMTAB_FUNC(kvm_make_all_cpus_request, "_gpl", "");
KSYMTAB_FUNC(kvm_flush_remote_tlbs, "_gpl", "");
KSYMTAB_FUNC(kvm_destroy_vcpus, "_gpl", "");
KSYMTAB_FUNC(kvm_get_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_get_kvm_safe, "_gpl", "");
KSYMTAB_FUNC(kvm_put_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_put_kvm_no_destroy, "_gpl", "");
KSYMTAB_FUNC(__kvm_set_memory_region, "_gpl", "");
KSYMTAB_FUNC(kvm_set_memory_region, "_gpl", "");
KSYMTAB_FUNC(kvm_get_dirty_log, "_gpl", "");
KSYMTAB_FUNC(gfn_to_memslot, "_gpl", "");
KSYMTAB_FUNC(kvm_is_visible_gfn, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_is_visible_gfn, "_gpl", "");
KSYMTAB_FUNC(gfn_to_hva_memslot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_hva, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_gfn_to_hva, "_gpl", "");
KSYMTAB_FUNC(__gfn_to_pfn_memslot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_pfn_prot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_pfn_memslot, "_gpl", "");
KSYMTAB_FUNC(gfn_to_pfn_memslot_atomic, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_gfn_to_pfn_atomic, "_gpl", "");
KSYMTAB_FUNC(gfn_to_pfn, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_gfn_to_pfn, "_gpl", "");
KSYMTAB_FUNC(gfn_to_page_many_atomic, "_gpl", "");
KSYMTAB_FUNC(gfn_to_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_map, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_unmap, "_gpl", "");
KSYMTAB_FUNC(kvm_release_page_clean, "_gpl", "");
KSYMTAB_FUNC(kvm_release_pfn_clean, "_gpl", "");
KSYMTAB_FUNC(kvm_release_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_release_pfn_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_set_pfn_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_set_pfn_accessed, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_read_guest_atomic, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_write_guest_page, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_write_guest, "_gpl", "");
KSYMTAB_FUNC(kvm_gfn_to_hva_cache_init, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_offset_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_write_guest_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_offset_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_read_guest_cached, "_gpl", "");
KSYMTAB_FUNC(kvm_clear_guest, "_gpl", "");
KSYMTAB_FUNC(mark_page_dirty_in_slot, "_gpl", "");
KSYMTAB_FUNC(mark_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_mark_page_dirty, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_halt, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_wake_up, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_yield_to, "_gpl", "");
KSYMTAB_FUNC(kvm_vcpu_on_spin, "_gpl", "");
KSYMTAB_FUNC(kvm_are_all_memslots_empty, "_gpl", "");
KSYMTAB_FUNC(file_is_kvm, "_gpl", "");
KSYMTAB_FUNC(kvm_io_bus_write, "_gpl", "");
KSYMTAB_FUNC(kvm_io_bus_get_dev, "_gpl", "");
KSYMTAB_FUNC(kvm_get_running_vcpu, "_gpl", "");
KSYMTAB_FUNC(kvm_init, "_gpl", "");
KSYMTAB_FUNC(kvm_exit, "_gpl", "");
KSYMTAB_FUNC(kvm_irq_has_notifier, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_crypto_set_masks, "_gpl", "");
KSYMTAB_FUNC(kvm_arch_crypto_clear_masks, "_gpl", "");
KSYMTAB_FUNC(kvm_s390_gisc_register, "_gpl", "");
KSYMTAB_FUNC(kvm_s390_gisc_unregister, "_gpl", "");
KSYMTAB_FUNC(kvm_s390_pv_is_protected, "_gpl", "");
KSYMTAB_FUNC(kvm_s390_pv_cpu_is_protected, "_gpl", "");

SYMBOL_CRC(halt_poll_ns, 0x59e640c0, "_gpl");
SYMBOL_CRC(halt_poll_ns_grow, 0x7afe324e, "_gpl");
SYMBOL_CRC(halt_poll_ns_grow_start, 0x5fb8848b, "_gpl");
SYMBOL_CRC(halt_poll_ns_shrink, 0x39fd83db, "_gpl");
SYMBOL_CRC(kvm_debugfs_dir, 0x4438e00d, "_gpl");
SYMBOL_CRC(vcpu_load, 0x84633468, "_gpl");
SYMBOL_CRC(vcpu_put, 0xe560e42c, "_gpl");
SYMBOL_CRC(kvm_make_all_cpus_request, 0xc601fdf9, "_gpl");
SYMBOL_CRC(kvm_flush_remote_tlbs, 0xd4c0cd1d, "_gpl");
SYMBOL_CRC(kvm_destroy_vcpus, 0xd793836d, "_gpl");
SYMBOL_CRC(kvm_get_kvm, 0x689fed5b, "_gpl");
SYMBOL_CRC(kvm_get_kvm_safe, 0x9422c116, "_gpl");
SYMBOL_CRC(kvm_put_kvm, 0xe020bb7d, "_gpl");
SYMBOL_CRC(kvm_put_kvm_no_destroy, 0xb2cb9fbd, "_gpl");
SYMBOL_CRC(__kvm_set_memory_region, 0x1bb13ce2, "_gpl");
SYMBOL_CRC(kvm_set_memory_region, 0x9f0b19da, "_gpl");
SYMBOL_CRC(kvm_get_dirty_log, 0xa6fda634, "_gpl");
SYMBOL_CRC(gfn_to_memslot, 0xb00e045f, "_gpl");
SYMBOL_CRC(kvm_is_visible_gfn, 0x38c37284, "_gpl");
SYMBOL_CRC(kvm_vcpu_is_visible_gfn, 0xbae60418, "_gpl");
SYMBOL_CRC(gfn_to_hva_memslot, 0xbb7e9690, "_gpl");
SYMBOL_CRC(gfn_to_hva, 0x06580d2a, "_gpl");
SYMBOL_CRC(kvm_vcpu_gfn_to_hva, 0x5cd7cbcb, "_gpl");
SYMBOL_CRC(__gfn_to_pfn_memslot, 0xb592d904, "_gpl");
SYMBOL_CRC(gfn_to_pfn_prot, 0xf7207182, "_gpl");
SYMBOL_CRC(gfn_to_pfn_memslot, 0x2ed489ec, "_gpl");
SYMBOL_CRC(gfn_to_pfn_memslot_atomic, 0x89bec8b0, "_gpl");
SYMBOL_CRC(kvm_vcpu_gfn_to_pfn_atomic, 0x7613f7e4, "_gpl");
SYMBOL_CRC(gfn_to_pfn, 0xc7592a33, "_gpl");
SYMBOL_CRC(kvm_vcpu_gfn_to_pfn, 0xaed986a7, "_gpl");
SYMBOL_CRC(gfn_to_page_many_atomic, 0x452d4911, "_gpl");
SYMBOL_CRC(gfn_to_page, 0x14c9a1da, "_gpl");
SYMBOL_CRC(kvm_vcpu_map, 0xddabd24c, "_gpl");
SYMBOL_CRC(kvm_vcpu_unmap, 0xd045673e, "_gpl");
SYMBOL_CRC(kvm_release_page_clean, 0x0f037ca8, "_gpl");
SYMBOL_CRC(kvm_release_pfn_clean, 0x4e3fd1b4, "_gpl");
SYMBOL_CRC(kvm_release_page_dirty, 0xe0428060, "_gpl");
SYMBOL_CRC(kvm_release_pfn_dirty, 0x7c94c99a, "_gpl");
SYMBOL_CRC(kvm_set_pfn_dirty, 0xa1c4231f, "_gpl");
SYMBOL_CRC(kvm_set_pfn_accessed, 0x6892e3c3, "_gpl");
SYMBOL_CRC(kvm_read_guest_page, 0x6b60d819, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest_page, 0x0c1b4eb9, "_gpl");
SYMBOL_CRC(kvm_read_guest, 0xac8276ad, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest, 0xc2b2a34b, "_gpl");
SYMBOL_CRC(kvm_vcpu_read_guest_atomic, 0x1ba7f6d9, "_gpl");
SYMBOL_CRC(kvm_write_guest_page, 0x708fb6c7, "_gpl");
SYMBOL_CRC(kvm_vcpu_write_guest_page, 0xd9faebe0, "_gpl");
SYMBOL_CRC(kvm_write_guest, 0x46901ac5, "_gpl");
SYMBOL_CRC(kvm_vcpu_write_guest, 0x261d232b, "_gpl");
SYMBOL_CRC(kvm_gfn_to_hva_cache_init, 0xcee6a76e, "_gpl");
SYMBOL_CRC(kvm_write_guest_offset_cached, 0x54ce785d, "_gpl");
SYMBOL_CRC(kvm_write_guest_cached, 0xec06f680, "_gpl");
SYMBOL_CRC(kvm_read_guest_offset_cached, 0x49d827cd, "_gpl");
SYMBOL_CRC(kvm_read_guest_cached, 0xb596a4d2, "_gpl");
SYMBOL_CRC(kvm_clear_guest, 0xbd26409c, "_gpl");
SYMBOL_CRC(mark_page_dirty_in_slot, 0xc9a2e50d, "_gpl");
SYMBOL_CRC(mark_page_dirty, 0x954e9ef6, "_gpl");
SYMBOL_CRC(kvm_vcpu_mark_page_dirty, 0xcc831289, "_gpl");
SYMBOL_CRC(kvm_vcpu_halt, 0x7825fb50, "_gpl");
SYMBOL_CRC(kvm_vcpu_wake_up, 0x301b0966, "_gpl");
SYMBOL_CRC(kvm_vcpu_yield_to, 0x1956c154, "_gpl");
SYMBOL_CRC(kvm_vcpu_on_spin, 0x210c2196, "_gpl");
SYMBOL_CRC(kvm_are_all_memslots_empty, 0x2d48c234, "_gpl");
SYMBOL_CRC(file_is_kvm, 0xd009ff34, "_gpl");
SYMBOL_CRC(kvm_io_bus_write, 0x0efb19a9, "_gpl");
SYMBOL_CRC(kvm_io_bus_get_dev, 0xa984b5f2, "_gpl");
SYMBOL_CRC(kvm_get_running_vcpu, 0x559f14b2, "_gpl");
SYMBOL_CRC(kvm_init, 0xf61a6ff2, "_gpl");
SYMBOL_CRC(kvm_exit, 0x27046576, "_gpl");
SYMBOL_CRC(kvm_irq_has_notifier, 0xec00b088, "_gpl");
SYMBOL_CRC(kvm_arch_crypto_set_masks, 0x12cebb13, "_gpl");
SYMBOL_CRC(kvm_arch_crypto_clear_masks, 0xb703c574, "_gpl");
SYMBOL_CRC(kvm_s390_gisc_register, 0x3fb1fab9, "_gpl");
SYMBOL_CRC(kvm_s390_gisc_unregister, 0xfb93e606, "_gpl");
SYMBOL_CRC(kvm_s390_pv_is_protected, 0x9dfa3038, "_gpl");
SYMBOL_CRC(kvm_s390_pv_cpu_is_protected, 0xf8c704f5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5772d8c1, "pin_user_pages_fast" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1003bcbe, "gmap_make_secure" },
	{ 0xfb63160d, "simple_attr_write" },
	{ 0x9db9efbb, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdbf89af6, "sclp" },
	{ 0xa5da67c, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xe370945a, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x12db397c, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x69ad1435, "bpf_trace_run4" },
	{ 0x18400b18, "gmap_sync_dirty_log_pmd" },
	{ 0x76d67255, "gmap_read_table" },
	{ 0x90cc5e6, "param_ops_uint" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x3d4cb9d1, "airq_iv_create" },
	{ 0xe5295c8e, "zpci_enable_device" },
	{ 0xa5745f0c, "gmap_mark_unmergeable" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xaa8d0dd5, "reset_guest_reference_bit" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8879fb98, "gmap_put" },
	{ 0xd3af979c, "memdup_user" },
	{ 0xb8c22b8d, "trace_raw_output_prep" },
	{ 0x1e0266ac, "gmap_shadow_valid" },
	{ 0xd1ea105e, "__gmap_zap" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xaf979f51, "cgroup_attach_task_all" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb41fec04, "gmap_shadow_pgt" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdca4aa79, "__trace_trigger_soft_disabled" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x8b784fa5, "get_pid_task" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xdb31ab91, "trace_event_printf" },
	{ 0x1abcc9b1, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x7ad30a82, "smp_yield_cpu" },
	{ 0xccb491e8, "bsearch" },
	{ 0x7bb159cc, "fget" },
	{ 0xc1e16ef0, "__put_task_struct" },
	{ 0xe0a18e84, "set_user_nice" },
	{ 0x4c61c5b3, "hrtimer_init" },
	{ 0xfcc2d6c2, "fd_install" },
	{ 0x5ddb48c2, "debug_register" },
	{ 0xfec003e3, "trace_event_raw_init" },
	{ 0x81844c9d, "vmemdup_user" },
	{ 0x548d17c4, "airq_iv_alloc" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe4755d98, "zpci_register_ioat" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xa9ff15b9, "s390_enable_sie" },
	{ 0xb6c0b2fd, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc9bddc5d, "param_ops_byte" },
	{ 0x8ad3f19, "kmem_cache_create" },
	{ 0xec6b63e3, "__s390_uv_destroy_range" },
	{ 0x37228096, "gmap_shadow_page" },
	{ 0x3b8cfbd4, "zpci_aipb" },
	{ 0xd827fff3, "memremap" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x15a62edd, "kthread_park" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xe7d2d212, "set_pgste_bits" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xa19b6cfe, "get_user_pages_remote" },
	{ 0x63c841af, "wake_up_process" },
	{ 0x1e4f34fa, "trace_event_buffer_commit" },
	{ 0xba6b73f9, "zpci_aif_sbv" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x29789394, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xe1ee435, "_copy_from_user_key" },
	{ 0x64a22993, "unregister_adapter_interrupt" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x6243505, "anon_inode_getfd" },
	{ 0xb8f0eae6, "get_user_pages" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x86a34793, "_copy_to_user_key" },
	{ 0x6090450e, "pgste_perform_essa" },
	{ 0xadbfd56e, "__free_pages" },
	{ 0xab6ab4bf, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x85efc7e0, "zero_pfn" },
	{ 0xc0272444, "find_vma" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xc7cf7c6, "zero_page_mask" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb8b27e06, "__sie64a" },
	{ 0x3bb392ae, "debugfs_lookup" },
	{ 0xbf33f00a, "mark_page_accessed" },
	{ 0xaa61de11, "irq_stat" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x3884676e, "kobject_uevent_env" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xedfdf04e, "zpci_kvm_hook" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x79fe7a0, "init_srcu_struct" },
	{ 0x1d8eac6c, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x8fcc0846, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xbdf77696, "vtime_account_kernel" },
	{ 0x1bb559b2, "get_pgste" },
	{ 0xd2510a63, "up_write" },
	{ 0x62b1b1c6, "gmap_enable" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x402cbbf, "preempt_notifier_inc" },
	{ 0x2a1cf0f8, "simple_attr_release" },
	{ 0x7180d3c7, "kmem_cache_create_usercopy" },
	{ 0x23859f82, "get_guest_storage_key" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x501504b7, "dentry_path_raw" },
	{ 0x8c6a4c42, "gmap_get_enabled" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xbba617d0, "noop_llseek" },
	{ 0xda4df85c, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd4ce4bd6, "mem_section" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xc0ccc10f, "gmap_unregister_pte_notifier" },
	{ 0xee61a9b, "airq_iv_free" },
	{ 0xe7dcc743, "kmem_cache_free" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x227a8d84, "fixup_user_fault" },
	{ 0x2272fddf, "debugfs_remove" },
	{ 0x98ea22c, "gmap_remove" },
	{ 0x861501c9, "preempt_notifier_register" },
	{ 0xbf958a89, "finish_rcuwait" },
	{ 0x40eaed1, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa91b83d5, "s390_replace_asce" },
	{ 0x40d96e4b, "gmap_translate" },
	{ 0x3607c5d7, "sthyi_fill" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x82a804b8, "set_guest_storage_key" },
	{ 0x94273bdd, "gmap_create" },
	{ 0x3b3f879, "mmu_notifier_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0x610399cd, "cleanup_srcu_struct" },
	{ 0x8c4f8a40, "gmap_shadow_r2t" },
	{ 0xa82247a3, "__debug_sprintf_event" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x6b8d2325, "s390_epoch_delta_notifier" },
	{ 0x8805d2cc, "bpf_trace_run1" },
	{ 0x68952493, "rcu_note_context_switch" },
	{ 0x286a3661, "airq_iv_scan" },
	{ 0x95e63ced, "prot_virt_host" },
	{ 0x910c7a0c, "alloc_pages_exact" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0xac7ab5fa, "synchronize_srcu_expedited" },
	{ 0x58d7c9a2, "hrtimer_start_range_ns" },
	{ 0x452c7d14, "gmap_convert_to_secure" },
	{ 0xe7a8ec38, "misc_register" },
	{ 0x528bf41f, "unpin_user_page" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfd9a9866, "stfle_fac_list" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x44e0ccaa, "zpci_set_irq_ctrl" },
	{ 0xfe5de6d0, "follow_pte" },
	{ 0x4248ae3c, "single_task_running" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xccee6252, "zpci_disable_device" },
	{ 0x3b50d533, "simple_attr_read" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0x1d216a6b, "mutex_lock_killable" },
	{ 0x103bafd6, "down_read" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x8d071650, "__mmdrop" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0xe798236d, "jiffies" },
	{ 0xa0a15b49, "smp_call_function_many" },
	{ 0xaa3af03b, "kthread_create_on_node" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xeda88cf3, "debug_unregister" },
	{ 0x1a042ddd, "bpf_trace_run3" },
	{ 0x97a037f, "__mmap_lock_do_trace_start_locking" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc622ea97, "stsi" },
	{ 0xe12219c5, "gmap_fault" },
	{ 0xb3c37d54, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xaf81c1aa, "trace_event_buffer_reserve" },
	{ 0x4466b000, "gmap_shadow_sgt" },
	{ 0x176e518e, "mmput" },
	{ 0x4ba88dcb, "chsc_sgib" },
	{ 0xf74300d7, "arch_vcpu_is_preempted" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x7d7e23c6, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x2ed30eba, "get_user_pages_fast_only" },
	{ 0x70e9751b, "__kernel_fpu_begin" },
	{ 0x41c99d0c, "get_user_pages_unlocked" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xdadb6777, "alloc_pages" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x9494bb26, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x55a8c465, "gmap_map_segment" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf9cf78d8, "__mmap_lock_do_trace_released" },
	{ 0x35b3f7bf, "gmap_mprotect_notify" },
	{ 0x45b3e745, "dput" },
	{ 0xe70e184a, "xa_store" },
	{ 0x9303d6d8, "stfle_size" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0x117098e1, "set_page_dirty_lock" },
	{ 0x32bc0fcf, "preempt_notifier_dec" },
	{ 0xf6f82a45, "mmu_notifier_register" },
	{ 0x218f92d6, "s390_reset_cmma" },
	{ 0x2566f980, "gmap_register_pte_notifier" },
	{ 0xb3ff1f69, "free_pages_exact" },
	{ 0xa7172736, "hrtimer_cancel" },
	{ 0xcb196b9d, "__vcalloc" },
	{ 0x99b32d37, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x22a50f5e, "zpci_mod_fc" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xea3c2c9c, "preempt_notifier_unregister" },
	{ 0xf13e8536, "gmap_discard" },
	{ 0xec8e6c87, "gmap_shadow_pgt_lookup" },
	{ 0x157bc422, "s390_enable_skey" },
	{ 0xbb32e49b, "css_general_characteristics" },
	{ 0xa189c2c2, "uv_info" },
	{ 0x4319ff47, "__kernel_fpu_end" },
	{ 0x709f0f99, "register_adapter_interrupt" },
	{ 0x8a1a058f, "hrtimer_forward" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x1aed295, "hrtimer_active" },
	{ 0x23866de4, "debug_sprintf_view" },
	{ 0xa1f54a30, "gmap_shadow_r3t" },
	{ 0x88cce7b7, "get_task_pid" },
	{ 0x76482c9e, "param_ops_int" },
	{ 0xa330012a, "gmap_disable" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x584f565, "debugfs_create_dir" },
	{ 0xc6f8989b, "airq_iv_release" },
	{ 0x74a28b54, "generic_file_llseek" },
	{ 0x29deb0ac, "add_wait_queue_priority" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xe7fb51fa, "gmap_shadow" },
	{ 0x646c8255, "debug_register_view" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x777b8d33, "put_pid" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x1f85bdda, "save_fpu_state" },
	{ 0x29bd4d06, "gmap_unmap_segment" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x62c926d2, "cond_set_guest_storage_key" },
	{ 0x85dc49, "eventfd_ctx_fileget" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0x6286d0bb, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81a25aed, "mtree_load" },
	{ 0xb0d72b9b, "vma_kernel_pagesize" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6b859817, "yield_to" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4FE5FE8F888198BBA2D941F");
MODULE_INFO(rhelversion, "9.99");
