#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_fixup, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_are_equal, "", "");
KSYMTAB_FUNC(drm_edid_block_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_do_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_replace_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(___drm_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0x989282ae, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0xa22acb43, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0xd4161aac, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0xcef48119, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0x17f44f9d, "");
SYMBOL_CRC(drm_atomic_state_init, 0x42e1ad47, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0xddd16950, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x2d00143c, "");
SYMBOL_CRC(drm_atomic_state_clear, 0xb8b0a6f7, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0x5ac19dc8, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x1a947246, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x61481ef4, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x4124c459, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x9fcb09ad, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x0542ac07, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0x8433ee10, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x91fee835, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0x108faa22, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0x50a28d48, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0x5af0255a, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x0ecb631e, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0x8f05ca38, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0xfd1fefb4, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0x0eaccc54, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0x640ee771, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0x55976318, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0xf1e1c032, "");
SYMBOL_CRC(drm_atomic_check_only, 0x739b2d5b, "");
SYMBOL_CRC(drm_atomic_commit, 0xc8bc1d44, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0xa50411e7, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x6bc313a0, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0xebf02589, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x47759434, "");
SYMBOL_CRC(drm_state_dump, 0xebe03a85, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0x6605af20, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0xab5d32b7, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0xee17f2ce, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0xb580f4d8, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x27da0f74, "");
SYMBOL_CRC(drm_is_current_master, 0x8e098325, "");
SYMBOL_CRC(drm_master_get, 0x6381e604, "");
SYMBOL_CRC(drm_file_get_master, 0xc77c3b40, "");
SYMBOL_CRC(drm_master_put, 0x3dad1637, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x43b2c180, "");
SYMBOL_CRC(drm_master_internal_release, 0xedcd4074, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0x2f30bbb5, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0xd2e861fa, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0xde752c92, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x8a37a0c9, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0x2b59d596, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0xb25899f9, "");
SYMBOL_CRC(drm_bridge_add, 0xeb72e052, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x4db0f5e2, "");
SYMBOL_CRC(drm_bridge_remove, 0x96d6d19f, "");
SYMBOL_CRC(drm_bridge_attach, 0xfd792cdf, "");
SYMBOL_CRC(drm_bridge_chain_mode_fixup, 0x1354b557, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x092b484f, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0xbe350b1f, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0x57b15031, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x218ac4d3, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0xd5eb59ba, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x9019c177, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0xbc0c6d87, "");
SYMBOL_CRC(drm_bridge_detect, 0x521a9438, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0xb9292b51, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0xd76552be, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x66bae697, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0x64f3ebaf, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0xa3e85dfd, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0x9162ff61, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0xb74dc09d, "");
SYMBOL_CRC(drm_client_register, 0x6b8c3477, "");
SYMBOL_CRC(drm_client_release, 0x990ca7d1, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0x5a802330, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0xc353b413, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x616abe61, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x623f0dc0, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0xddf1cdbe, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0x9f875970, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x25ed891c, "");
SYMBOL_CRC(drm_client_rotation, 0x791c9476, "");
SYMBOL_CRC(drm_client_modeset_check, 0x7389884b, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x4bed2bd0, "");
SYMBOL_CRC(drm_client_modeset_commit, 0x7d16a6d0, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0x3304583a, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x17eeed35, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0x5495eb19, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x30c1baa1, "");
SYMBOL_CRC(drm_color_lut_check, 0x5de9d34d, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0xe19ca705, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x50139b5c, "");
SYMBOL_CRC(drmm_connector_init, 0x552897a6, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0xda7be605, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0x05091269, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0xd2d6eacd, "");
SYMBOL_CRC(drm_connector_cleanup, 0x6da4bb90, "");
SYMBOL_CRC(drm_connector_register, 0xdaed146a, "");
SYMBOL_CRC(drm_connector_unregister, 0x618e21ce, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x17f05c39, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x8572a859, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0xdad588c8, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xdaff2cdf, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0x62f22334, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x21dd5b03, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x9a4cac2f, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0x579663e9, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0x11aa7b48, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0xeac44afe, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x69017c22, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0xc24325df, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0xebbfab99, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x85f4c107, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x20aca0ab, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x39fd5b9d, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0xcbc68065, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x30d7038c, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0xb5f49e48, "");
SYMBOL_CRC(drm_connector_set_path_property, 0x16629ec2, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x999dec7d, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0xafcd6aeb, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x46e66fa1, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x1f184c57, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0xf7e3d57a, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0x6a2e4e8a, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x4401a51c, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x4a22f207, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0xf10450e3, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x2b4f1ced, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0x83fbf8c4, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0x058dfa8c, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x382612fd, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0xfc01a83e, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0x6aebea98, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0x4331313c, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x71689831, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0xb6860b21, "");
SYMBOL_CRC(drm_crtc_from_index, 0xf0751603, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0xea6bcf27, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0xc9b7847d, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x8c0a76f0, "");
SYMBOL_CRC(drm_crtc_cleanup, 0xc7f17bd1, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0xafdba269, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0x4b1edf64, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x70436d55, "");
SYMBOL_CRC(drm_put_dev, 0x17ba5933, "");
SYMBOL_CRC(drm_dev_enter, 0xf778ca63, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0x91ded23e, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0x061bb831, "");
SYMBOL_CRC(drm_dev_alloc, 0x166dd978, "");
SYMBOL_CRC(drm_dev_get, 0x8e4c3c32, "");
SYMBOL_CRC(drm_dev_put, 0xf1186f6e, "");
SYMBOL_CRC(drm_dev_register, 0x772ef4bc, "");
SYMBOL_CRC(drm_dev_unregister, 0xbfa67d93, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_are_equal, 0x944bbdae, "");
SYMBOL_CRC(drm_edid_block_valid, 0xd13f9985, "");
SYMBOL_CRC(drm_edid_is_valid, 0xa6b32156, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0xf7ec1d14, "");
SYMBOL_CRC(drm_do_get_edid, 0x23653913, "_gpl");
SYMBOL_CRC(drm_edid_raw, 0x5f3e2dd3, "");
SYMBOL_CRC(drm_edid_alloc, 0xa6943fc6, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0xc0c6b3ae, "");
SYMBOL_CRC(drm_get_edid, 0x50df2c3c, "");
SYMBOL_CRC(drm_edid_read_custom, 0x036a9e31, "");
SYMBOL_CRC(drm_edid_read_ddc, 0xf3d25f78, "");
SYMBOL_CRC(drm_edid_read, 0xb545c786, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xb1eac647, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0xf2f4516f, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0xa2a53156, "");
SYMBOL_CRC(drm_edid_duplicate, 0x57e6f878, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x95ee7284, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x9fb5616c, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x08618e5a, "");
SYMBOL_CRC(drm_edid_to_sad, 0x755623d5, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x3022c924, "");
SYMBOL_CRC(drm_av_sync_delay, 0x7b85abc6, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa51708dc, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0x946f25f1, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0x0d0149e8, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0x7d845717, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0xa5a1294d, "");
SYMBOL_CRC(drm_add_edid_modes, 0x24e1076c, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x61bccf4f, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0xa96f48b1, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0xc0e2053d, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0xfabbf6e3, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0xb44750cb, "");
SYMBOL_CRC(drm_encoder_cleanup, 0xf95c6125, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x0a763e1c, "");
SYMBOL_CRC(drmm_encoder_init, 0xd71eb11f, "");
SYMBOL_CRC(drm_open, 0x8518a660, "");
SYMBOL_CRC(drm_release, 0x158a6e40, "");
SYMBOL_CRC(drm_release_noglobal, 0x49894ca7, "");
SYMBOL_CRC(drm_read, 0x8e4d2039, "");
SYMBOL_CRC(drm_poll, 0xce53deaf, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0xadead8e2, "");
SYMBOL_CRC(drm_event_reserve_init, 0x892e4fe1, "");
SYMBOL_CRC(drm_event_cancel_free, 0x85b271ea, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x0536a65a, "");
SYMBOL_CRC(drm_send_event_locked, 0xa50cd34d, "");
SYMBOL_CRC(drm_send_event, 0x8424c800, "");
SYMBOL_CRC(drm_print_memory_stats, 0xb9393302, "");
SYMBOL_CRC(drm_show_memory_stats, 0x6978033c, "");
SYMBOL_CRC(drm_show_fdinfo, 0x79b2a1a0, "");
SYMBOL_CRC(mock_drm_getfile, 0xf094a1c1, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x9c38db04, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x24f3972e, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0xa68534d5, "");
SYMBOL_CRC(drm_framebuffer_init, 0x3f4f14bd, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0x97e2f1f4, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x5d0458db, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0xd59b59c4, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x4228b2bf, "");
SYMBOL_CRC(drm_gem_object_init, 0xf64b1a9c, "");
SYMBOL_CRC(drm_gem_private_object_init, 0xc388872a, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x1f617082, "");
SYMBOL_CRC(drm_gem_handle_delete, 0xa9db6e66, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x62804f56, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0xb483e31d, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0xb2fd64c0, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0xedef7657, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x6fe9ea1c, "");
SYMBOL_CRC(drm_gem_get_pages, 0xf8ba4d54, "");
SYMBOL_CRC(drm_gem_put_pages, 0xd77387c4, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x84ce76f0, "");
SYMBOL_CRC(drm_gem_object_lookup, 0x1f0aae41, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x837eb3fa, "");
SYMBOL_CRC(drm_gem_object_release, 0x8ba9a73d, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0x7c33b5d4, "");
SYMBOL_CRC(drm_gem_vm_close, 0x5af80b0d, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x30e71f94, "");
SYMBOL_CRC(drm_gem_mmap, 0xfec4d7f8, "");
SYMBOL_CRC(drm_gem_vmap, 0x77ef8a0a, "");
SYMBOL_CRC(drm_gem_vunmap, 0xf1ddb398, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x6390f45c, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0xea64950c, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0x465e6a0d, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0xa2a4c533, "");
SYMBOL_CRC(drm_gem_lru_init, 0x0ad7782d, "");
SYMBOL_CRC(drm_gem_lru_remove, 0x87adccb0, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0x0d3f023b, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0x8329ba30, "");
SYMBOL_CRC(drm_gem_lru_scan, 0xf5931ab5, "");
SYMBOL_CRC(drm_gem_evict, 0x4cdd295a, "");
SYMBOL_CRC(drm_noop, 0x9d8d2d1d, "");
SYMBOL_CRC(drm_invalid_op, 0xd84a6d11, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x4504598b, "");
SYMBOL_CRC(drm_ioctl, 0x7656d447, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x9c40411a, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0xc761dee3, "");
SYMBOL_CRC(drmm_release_action, 0xa36de163, "");
SYMBOL_CRC(drmm_kmalloc, 0xa12ada7f, "");
SYMBOL_CRC(drmm_kstrdup, 0x5209a159, "_gpl");
SYMBOL_CRC(drmm_kfree, 0x548b728d, "");
SYMBOL_CRC(__drmm_mutex_release, 0xa71b1e71, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_replace_node, 0x59056243, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x07e00176, "");
SYMBOL_CRC(drm_mode_config_reset, 0x2b77d4d7, "");
SYMBOL_CRC(drmm_mode_config_init, 0x4e00165b, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x1153a796, "");
SYMBOL_CRC(drm_mode_object_find, 0x8f5c7cc2, "");
SYMBOL_CRC(drm_mode_object_put, 0x6e9a7303, "");
SYMBOL_CRC(drm_mode_object_get, 0xa1518bf7, "");
SYMBOL_CRC(drm_object_attach_property, 0xb77f490b, "");
SYMBOL_CRC(drm_object_property_set_value, 0x3816587e, "");
SYMBOL_CRC(drm_object_property_get_value, 0xda35cfe0, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0xdddc0498, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0xcc73adb2, "");
SYMBOL_CRC(drm_mode_destroy, 0xd7e801d4, "");
SYMBOL_CRC(drm_mode_probed_add, 0xfd7ec6df, "");
SYMBOL_CRC(drm_analog_tv_mode, 0x8e4cd50e, "");
SYMBOL_CRC(drm_cvt_mode, 0xb6cd16c3, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0x9cd9411a, "");
SYMBOL_CRC(drm_gtf_mode, 0x93df542f, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x74ad2531, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0xd4b471bf, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0x7fea1a89, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0xa4890474, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0x7374f581, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x36514c13, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x46d4e128, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0xb0c5649c, "");
SYMBOL_CRC(drm_modeset_lock_all, 0x53638201, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x771f8f77, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x628ee9d4, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0xeb025878, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x8b4a58ef, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0x0b8ff43b, "");
SYMBOL_CRC(drm_modeset_backoff, 0xf77c30dd, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x6d4aa5d7, "");
SYMBOL_CRC(drm_modeset_lock, 0x4996324c, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x3e6eaaba, "");
SYMBOL_CRC(drm_modeset_unlock, 0x42c33817, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x33e95079, "");
SYMBOL_CRC(drm_universal_plane_init, 0x1289291a, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x35efb338, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0xd399cffd, "");
SYMBOL_CRC(drm_plane_cleanup, 0xb02a2cc4, "");
SYMBOL_CRC(drm_plane_from_index, 0x83d154f1, "");
SYMBOL_CRC(drm_plane_force_disable, 0xa00f1326, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0x5a2e36fc, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x8b26f1e1, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x962ede6e, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0x99035598, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0xb64fc693, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x7d7b67f2, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0xfc35844b, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0xcd002b4a, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0x7ba3abbb, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x3701f20f, "");
SYMBOL_CRC(drm_gem_map_attach, 0xb88aed5b, "");
SYMBOL_CRC(drm_gem_map_detach, 0x5af6ef77, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0x3eef0b5e, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0x172ebfd7, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x91eea082, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x1fd5c667, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x4fb93c9b, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x620d7b2c, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x53debcf3, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0xeed4aac4, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0xbfe7b9cf, "");
SYMBOL_CRC(drm_gem_prime_import, 0x875c654c, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x67bfd4ca, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x5ab46aee, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0x114c1ccc, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xdddcbca6, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x65b962a9, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x21475af8, "");
SYMBOL_CRC(__drm_printfn_info, 0x470cac07, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x1ab5d60a, "");
SYMBOL_CRC(__drm_printfn_err, 0x8c7724de, "");
SYMBOL_CRC(drm_puts, 0x4d8b5a5b, "");
SYMBOL_CRC(drm_printf, 0xd2d42a9f, "");
SYMBOL_CRC(drm_print_bits, 0x2d8c3645, "");
SYMBOL_CRC(drm_dev_printk, 0x6462e203, "");
SYMBOL_CRC(__drm_dev_dbg, 0xfa953aa4, "");
SYMBOL_CRC(___drm_dbg, 0x7e3277f8, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0xe65c3e5e, "");
SYMBOL_CRC(drm_property_create, 0x0e830138, "");
SYMBOL_CRC(drm_property_create_enum, 0x081848cc, "");
SYMBOL_CRC(drm_property_create_bitmask, 0xb24c4128, "");
SYMBOL_CRC(drm_property_create_range, 0x2e8acf60, "");
SYMBOL_CRC(drm_property_create_signed_range, 0xce077ff1, "");
SYMBOL_CRC(drm_property_create_object, 0xf245f8ad, "");
SYMBOL_CRC(drm_property_create_bool, 0x9beff8f6, "");
SYMBOL_CRC(drm_property_add_enum, 0x180b6e20, "");
SYMBOL_CRC(drm_property_destroy, 0x5f88c9e2, "");
SYMBOL_CRC(drm_property_create_blob, 0x2bf32726, "");
SYMBOL_CRC(drm_property_blob_put, 0x252cf806, "");
SYMBOL_CRC(drm_property_blob_get, 0x7fb19c40, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x82e2a41c, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x3f44ba46, "");
SYMBOL_CRC(drm_property_replace_blob, 0x73f599c9, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0xdec33200, "");
SYMBOL_CRC(drm_syncobj_find, 0x2918e4a8, "");
SYMBOL_CRC(drm_syncobj_add_point, 0xefc5d7dc, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0xbec03cd2, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0xb99d7428, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0x93721abf, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x81d1ebf5, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0xa9cf2833, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x68d952e2, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0x358be538, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0xf86e0bc2, "");
SYMBOL_CRC(drm_class_device_register, 0x1ee0260c, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0xd5ec9a52, "_gpl");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0xd3488b44, "");
SYMBOL_CRC(drm_vblank_init, 0xd4ea450e, "");
SYMBOL_CRC(drm_dev_has_vblank, 0x1bf68fa4, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0xa409235e, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x09f9be03, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x0836eae8, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x6ceedd34, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0xf96d3e99, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0x6a7be8eb, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0xa2f2d7f2, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x8155e383, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x959527da, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0x254fe5fd, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0xde87d111, "");
SYMBOL_CRC(drm_wait_one_vblank, 0x1c425832, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0xf00915cb, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0xd4413513, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0xb3cf297e, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0xa073f059, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0x981c334f, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x8b8ce8a2, "");
SYMBOL_CRC(drm_handle_vblank, 0xd1ed8fba, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0xf23afe19, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x3bd257d3, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0xfc211d36, "");
SYMBOL_CRC(drm_vblank_work_flush, 0xd3c10f81, "");
SYMBOL_CRC(drm_vblank_work_init, 0x11c2a220, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0xb4fe0501, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x3cb803c8, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0x7d9b3370, "");
SYMBOL_CRC(drm_vma_offset_add, 0xa7ff050f, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x8cd1f61b, "");
SYMBOL_CRC(drm_vma_node_allow, 0xf092af45, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x3a0f8fe6, "");
SYMBOL_CRC(drm_vma_node_revoke, 0xa5ec2523, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x682fbda3, "");
SYMBOL_CRC(drm_writeback_connector_init, 0x0cf6f00a, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x914d8300, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x65f07fdb, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x955ab5a0, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0x0b16d6d3, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x77e49baf, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x6af1b5fa, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0x230c6859, "");
SYMBOL_CRC(drm_panel_init, 0x136e28c3, "");
SYMBOL_CRC(drm_panel_add, 0x1717610b, "");
SYMBOL_CRC(drm_panel_remove, 0x1cad5b86, "");
SYMBOL_CRC(drm_panel_prepare, 0xafa0f075, "");
SYMBOL_CRC(drm_panel_unprepare, 0x040736b7, "");
SYMBOL_CRC(drm_panel_enable, 0xeefa8698, "");
SYMBOL_CRC(drm_panel_disable, 0x272445db, "");
SYMBOL_CRC(drm_panel_get_modes, 0x3ab177ec, "");
SYMBOL_CRC(drm_is_panel_follower, 0x7b53ae43, "");
SYMBOL_CRC(drm_panel_add_follower, 0x60172e77, "");
SYMBOL_CRC(drm_panel_remove_follower, 0xf402ed24, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0xe4185d16, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x68b54c77, "");
SYMBOL_CRC(drm_debugfs_create_files, 0x29e086f6, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x2df456e5, "");
SYMBOL_CRC(drm_debugfs_add_file, 0xbe8617d2, "");
SYMBOL_CRC(drm_debugfs_add_files, 0xb91615e5, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0xbd12492f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff7ad1b5, "krealloc" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x1b9a1639, "try_module_get" },
	{ 0x9db9efbb, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5b79bd1d, "ww_mutex_lock_interruptible" },
	{ 0xa5da67c, "vmemmap" },
	{ 0xc557dad7, "alloc_anon_inode" },
	{ 0x694b4335, "show_class_attr_string" },
	{ 0x93bf1744, "kthread_cancel_work_sync" },
	{ 0x2114cb76, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x17601924, "kthread_flush_work" },
	{ 0x69ad1435, "bpf_trace_run4" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x3761d215, "idr_find" },
	{ 0x7ed993bc, "param_ops_ulong" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xf282b2cb, "shmem_read_folio_gfp" },
	{ 0x571713f5, "__folio_batch_release" },
	{ 0x207cd408, "dev_set_name" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd3af979c, "memdup_user" },
	{ 0xb8c22b8d, "trace_raw_output_prep" },
	{ 0x41681cb9, "dma_resv_init" },
	{ 0x43a4938f, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xfba6ab93, "dma_resv_wait_timeout" },
	{ 0x1358a7f2, "device_unregister" },
	{ 0x258b9edd, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xdca4aa79, "__trace_trigger_soft_disabled" },
	{ 0xebb3301a, "kthread_flush_worker" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe265125, "class_destroy" },
	{ 0xdb31ab91, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x50f76a11, "ww_mutex_unlock" },
	{ 0x36ea485f, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0xfcc2d6c2, "fd_install" },
	{ 0x5031b485, "dma_fence_chain_ops" },
	{ 0xfec003e3, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x711dc1fe, "component_del" },
	{ 0xd9ab80a2, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x2646e0c, "iput" },
	{ 0x14291c34, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x5b74b33c, "dma_buf_unmap_attachment_unlocked" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x84872f7a, "dma_fence_add_callback" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0x247a8b5, "get_device" },
	{ 0x3a21d95b, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x92ed8b85, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x63c841af, "wake_up_process" },
	{ 0xf4f20b88, "dev_driver_string" },
	{ 0xbcf5f245, "dma_buf_map_attachment_unlocked" },
	{ 0x1e4f34fa, "trace_event_buffer_commit" },
	{ 0xca38f5aa, "pci_domain_nr" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x87bef519, "ww_mutex_trylock" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd3b7897b, "dma_max_mapping_size" },
	{ 0xcebedd4f, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x1b3da3f3, "dma_buf_export" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x7a60a389, "kthread_queue_work" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x5e0f6089, "dma_fence_remove_callback" },
	{ 0x806a498b, "_dev_info" },
	{ 0x8bcdcfbb, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf06482e0, "atomic_dec_and_mutex_lock" },
	{ 0xa7e2dd7e, "module_put" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x261640ed, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x2a23be62, "dma_fence_chain_walk" },
	{ 0x3bb392ae, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x66ebea22, "__task_pid_nr_ns" },
	{ 0x3884676e, "kobject_uevent_env" },
	{ 0xa0d3d560, "ksize" },
	{ 0xb94f4d5d, "__kmalloc_node_track_caller" },
	{ 0x4fd59115, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1e9c5bab, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x1d8eac6c, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x8fcc0846, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x790726bb, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xa6445f9f, "device_add" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xe301af06, "sysfs_remove_link" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xe80143b9, "pid_task" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbba617d0, "noop_llseek" },
	{ 0x86bbbfa2, "dma_fence_signal" },
	{ 0x3fd4aeb0, "folio_mark_accessed" },
	{ 0xd8c0474f, "dma_resv_fini" },
	{ 0x7de86426, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xb9bfc6c5, "dma_buf_get" },
	{ 0x2272fddf, "debugfs_remove" },
	{ 0x85abc85f, "strncmp" },
	{ 0x4af1b501, "ww_mutex_lock" },
	{ 0x40eaed1, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xfac19588, "__clear_user" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x16275db4, "dma_buf_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x38c677dd, "dma_buf_fd" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x66987888, "dma_fence_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x33e04ad7, "device_register" },
	{ 0x8cb7ab6, "device_del" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x98323635, "sg_alloc_table_from_pages_segment" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x8359455b, "_dev_warn" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x6108288f, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x7242e96d, "strnchr" },
	{ 0xe798236d, "jiffies" },
	{ 0x98c46d10, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x94806775, "check_move_unevictable_folios" },
	{ 0x1a042ddd, "bpf_trace_run3" },
	{ 0xf82c57ef, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x88e52cdb, "idr_for_each" },
	{ 0xb3c37d54, "debugfs_create_file" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xaf81c1aa, "trace_event_buffer_reserve" },
	{ 0x178351e8, "dma_map_sgtable" },
	{ 0x99d9f6a7, "kthread_destroy_worker" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5bbadee5, "__dma_fence_unwrap_merge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x45d3c773, "memdup_user_nul" },
	{ 0x4d933950, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2e9c7461, "__register_chrdev" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x574c6e8e, "seq_write" },
	{ 0x3c4757de, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xde1371ce, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3caba8c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0x74aa7c62, "i2c_transfer" },
	{ 0x8763ec5, "dma_fence_allocate_private_stub" },
	{ 0x6360a565, "dma_buf_detach" },
	{ 0x261c30c5, "dma_fence_signal_timestamp" },
	{ 0xae59056c, "dma_fence_chain_init" },
	{ 0x54f37641, "seq_puts" },
	{ 0xc4347634, "single_release" },
	{ 0x27237a3f, "pid_vnr" },
	{ 0xb21a77a1, "sched_set_fifo" },
	{ 0x6690743, "simple_release_fs" },
	{ 0xe18e05f3, "dma_unmap_sg_attrs" },
	{ 0xd5e3da59, "kill_anon_super" },
	{ 0x84e6635f, "from_kuid_munged" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x128fa801, "__devm_add_action" },
	{ 0x237905a8, "component_add" },
	{ 0x12b7862d, "dma_resv_test_signaled" },
	{ 0x3dba941a, "fwnode_handle_put" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x77358855, "iomem_resource" },
	{ 0x45f0d192, "dma_fence_chain_find_seqno" },
	{ 0x76482c9e, "param_ops_int" },
	{ 0xb67dd74c, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x861115c, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x584f565, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x526975eb, "sync_file_get_fence" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x777b8d33, "put_pid" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xecff911b, "__dev_fwnode" },
	{ 0xf268769c, "pci_bus_type" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0xec54de1e, "class_remove_file_ns" },
	{ 0x86a07efe, "simple_pin_fs" },
	{ 0x80bb835d, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks,i2c-core");


MODULE_INFO(srcversion, "66C324719D3CA1C0375E780");
MODULE_INFO(rhelversion, "9.99");
