#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_kunit_helper_alloc_device, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_free_device, "_gpl", "");
KSYMTAB_FUNC(__drm_kunit_helper_alloc_drm_device_with_driver, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_acquire_ctx_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_atomic_state_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_create_primary_plane, "_gpl", "");
KSYMTAB_FUNC(drm_kunit_helper_create_crtc, "_gpl", "");

SYMBOL_CRC(drm_kunit_helper_alloc_device, 0xb13401de, "_gpl");
SYMBOL_CRC(drm_kunit_helper_free_device, 0xf0c599e9, "_gpl");
SYMBOL_CRC(__drm_kunit_helper_alloc_drm_device_with_driver, 0x47ee78c2, "_gpl");
SYMBOL_CRC(drm_kunit_helper_acquire_ctx_alloc, 0xb3ffa340, "_gpl");
SYMBOL_CRC(drm_kunit_helper_atomic_state_alloc, 0xd3c2ff6c, "_gpl");
SYMBOL_CRC(drm_kunit_helper_create_primary_plane, 0x759fcee4, "_gpl");
SYMBOL_CRC(drm_kunit_helper_create_crtc, 0xf790f2ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7a4cea63, "kunit_device_register" },
	{ 0xcbd69c04, "kunit_device_unregister" },
	{ 0x61bb831, "__devm_drm_dev_alloc" },
	{ 0x4e00165b, "drmm_mode_config_init" },
	{ 0xb8ff43b, "drm_modeset_drop_locks" },
	{ 0x8b4a58ef, "drm_modeset_acquire_fini" },
	{ 0xddd16950, "drm_atomic_state_alloc" },
	{ 0x4ea72f0b, "kunit_add_action_or_reset" },
	{ 0x35efb338, "__drmm_universal_plane_alloc" },
	{ 0xb4c6eee7, "kunit_ptr_not_err_assert_format" },
	{ 0xf4cbd750, "__kunit_do_failed_assertion" },
	{ 0x1510fa00, "__kunit_abort" },
	{ 0xa12ada7f, "drmm_kmalloc" },
	{ 0xc9b7847d, "drmm_crtc_init_with_planes" },
	{ 0xafc9dca2, "kunit_binary_ptr_assert_format" },
	{ 0xc280a33b, "kunit_binary_assert_format" },
	{ 0x49e167a1, "kunit_kmalloc_array" },
	{ 0xeb025878, "drm_modeset_acquire_init" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd51b5950, "drm_atomic_helper_check" },
	{ 0x60736112, "drm_atomic_helper_commit" },
	{ 0x9fd1cf2, "drm_atomic_helper_plane_reset" },
	{ 0x62ce6313, "drm_atomic_helper_plane_duplicate_state" },
	{ 0x5c2e6b3e, "drm_atomic_helper_plane_destroy_state" },
	{ 0xd7239edc, "drm_atomic_helper_crtc_reset" },
	{ 0x12ba706f, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0x8780e5c7, "drm_atomic_helper_crtc_destroy_state" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "kunit,drm,drm_kms_helper");


MODULE_INFO(srcversion, "4C5ACAE59198D56D36B9137");
MODULE_INFO(rhelversion, "9.99");
