#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0xb0c92da7, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x2270bb88, "");
SYMBOL_CRC(ib_cm_listen, 0xaab3277e, "");
SYMBOL_CRC(ib_cm_insert_listen, 0xc86ff254, "");
SYMBOL_CRC(ib_send_cm_req, 0x5112c925, "");
SYMBOL_CRC(ib_send_cm_rep, 0x4cbe0395, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x5db4de23, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x2e51690c, "");
SYMBOL_CRC(ib_send_cm_drep, 0x7d7b3f02, "");
SYMBOL_CRC(ib_send_cm_rej, 0x4c6f8313, "");
SYMBOL_CRC(ib_send_cm_mra, 0x22f77bb5, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x1a43ddcd, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xdac2853b, "");
SYMBOL_CRC(ib_cm_notify, 0x4f5b65dd, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x6bce90d4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0f59c27, "ib_unregister_client" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3e8d5eda, "ib_init_ah_attr_from_path" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0xb8c22b8d, "trace_raw_output_prep" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdca4aa79, "__trace_trigger_soft_disabled" },
	{ 0xdb31ab91, "trace_event_printf" },
	{ 0xfec003e3, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x296b02c8, "rdma_query_gid" },
	{ 0xc6a33ad7, "ib_port_register_client_groups" },
	{ 0xffc8958f, "ib_modify_port" },
	{ 0xb6c0b2fd, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1e4f34fa, "trace_event_buffer_commit" },
	{ 0xc314bacc, "rdma_create_ah" },
	{ 0x4cfdba88, "ib_init_ah_attr_from_wc" },
	{ 0xa459c56f, "ib_find_cached_pkey" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x254d6d4a, "ib_register_client" },
	{ 0xea87b8ce, "ib_unregister_mad_agent" },
	{ 0x30dbe134, "ib_post_send_mad" },
	{ 0x25fe26f6, "ib_create_send_mad" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x1d8eac6c, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xfc15eb30, "rdma_destroy_ah_attr" },
	{ 0x694cb994, "ib_set_client_data" },
	{ 0x1aefa095, "ib_get_cached_pkey" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xf99f29fc, "rdma_put_gid_attr" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x40eaed1, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x8805d2cc, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8359455b, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x694f7015, "rdma_destroy_ah_user" },
	{ 0xffb132fa, "ib_free_send_mad" },
	{ 0xe5cda8f1, "ib_port_unregister_client_groups" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x1a042ddd, "bpf_trace_run3" },
	{ 0xafb759fd, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xaf81c1aa, "trace_event_buffer_reserve" },
	{ 0x8c659564, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x957cf84f, "ib_free_recv_mad" },
	{ 0xb50fdafb, "ib_register_mad_agent" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0x40323c47, "ib_modify_mad" },
	{ 0x561e6153, "ib_create_ah_from_wc" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "3A0246EB67EFFABDAB660DD");
MODULE_INFO(rhelversion, "9.99");
