#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x8e1f409d, "");
SYMBOL_CRC(flow_resources_alloc, 0x470ff7b7, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0xf498a0ab, "");
SYMBOL_CRC(flow_resources_add, 0x1a273316, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0xd52ebca1, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0xba3d4765, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0xf655e117, "");
SYMBOL_CRC(uverbs_idr_class, 0xb366d8c8, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0xda950216, "");
SYMBOL_CRC(uverbs_fd_class, 0x9059fef9, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0xab1e22e3, "");
SYMBOL_CRC(_uverbs_alloc, 0x8d138312, "");
SYMBOL_CRC(uverbs_get_flags64, 0x4c023691, "");
SYMBOL_CRC(uverbs_get_flags32, 0x628b20a1, "");
SYMBOL_CRC(uverbs_copy_to, 0x740c33c0, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x902d1f32, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x6abebab0, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x2a165283, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xd32b20d1, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x3bc6de05, "");
SYMBOL_CRC(ib_umem_get, 0x9ab07b17, "");
SYMBOL_CRC(ib_umem_release, 0x20567079, "");
SYMBOL_CRC(ib_umem_copy_from, 0x14db72e3, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x6d08d4a1, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0xda3db601, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0xa0600a54, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x3dc4bc06, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5772d8c1, "pin_user_pages_fast" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x1b9a1639, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x9db9efbb, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa5da67c, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xf0f59c27, "ib_unregister_client" },
	{ 0x694b4335, "show_class_attr_string" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8052bc01, "unpin_user_pages_dirty_lock" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0x207cd408, "dev_set_name" },
	{ 0x71e41360, "ibdev_warn" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0xd3af979c, "memdup_user" },
	{ 0xe5ba3953, "ib_create_qp_user" },
	{ 0xfba6ab93, "dma_resv_wait_timeout" },
	{ 0xf87aa3d, "cdev_device_del" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x3dcf5286, "kill_fasync" },
	{ 0x1abcc9b1, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x7bb159cc, "fget" },
	{ 0x74138f97, "ib_query_srq" },
	{ 0x50f76a11, "ww_mutex_unlock" },
	{ 0x36ea485f, "device_initialize" },
	{ 0xe4bcde4, "ib_rdmacg_try_charge" },
	{ 0xfcc2d6c2, "fd_install" },
	{ 0x236c8c64, "memcpy" },
	{ 0xb4326f63, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x42cd335c, "unpin_user_page_range_dirty_lock" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x2646e0c, "iput" },
	{ 0x1bb2df8, "dma_buf_unpin" },
	{ 0x5a09be57, "zap_vma_ptes" },
	{ 0xbab2b72b, "ib_dereg_mr_user" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x51c12753, "rdma_dev_access_netns" },
	{ 0x247a8b5, "get_device" },
	{ 0xe0bed0e0, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0x5aaba53a, "dma_buf_dynamic_attach" },
	{ 0x92ed8b85, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xd2260096, "radix_tree_iter_delete" },
	{ 0x73c4aaaf, "ib_destroy_srq_user" },
	{ 0xeaa7bc3f, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x29789394, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xa7f8add, "cdev_device_add" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x264422ac, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xcebedd4f, "put_device" },
	{ 0xf258142c, "radix_tree_lookup_slot" },
	{ 0x37f6ac2c, "ib_modify_qp_with_udata" },
	{ 0xb456e069, "ib_register_event_handler" },
	{ 0xaf51bc97, "ib_detach_mcast" },
	{ 0x3f53752, "dma_buf_map_attachment" },
	{ 0xadbfd56e, "__free_pages" },
	{ 0x67e42fe2, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa7e2dd7e, "module_put" },
	{ 0x254d6d4a, "ib_register_client" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xc7cf7c6, "zero_page_mask" },
	{ 0xb9bb8994, "compat_ptr_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xdcb05f9e, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x66ebea22, "__task_pid_nr_ns" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x79fe7a0, "init_srcu_struct" },
	{ 0x8fcc0846, "fput" },
	{ 0x694cb994, "ib_set_client_data" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x790726bb, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x5194cfcb, "dma_buf_unmap_attachment" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x4f5aa411, "radix_tree_next_chunk" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xf99f29fc, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xb9bfc6c5, "dma_buf_get" },
	{ 0xc15d9191, "ib_query_port" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xe1e4ba81, "nla_put" },
	{ 0x4af1b501, "ww_mutex_lock" },
	{ 0x780b3ed0, "fasync_helper" },
	{ 0xfac19588, "__clear_user" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x57266ec6, "ib_qp_usecnt_inc" },
	{ 0x16275db4, "dma_buf_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x63dadc0, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x610399cd, "cleanup_srcu_struct" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xa6975fbc, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xdee53c4f, "rdma_restrack_set_name" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x20bbec91, "rdma_create_user_ah" },
	{ 0x694f7015, "rdma_destroy_ah_user" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xa340564b, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf61003da, "ib_destroy_cq_user" },
	{ 0x103bafd6, "down_read" },
	{ 0x8d071650, "__mmdrop" },
	{ 0xe8bd91dd, "rdma_restrack_del" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x97a037f, "__mmap_lock_do_trace_start_locking" },
	{ 0xff0134fd, "ib_rdmacg_uncharge" },
	{ 0x9b324d89, "igrab" },
	{ 0x438956b8, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x176e518e, "mmput" },
	{ 0x178351e8, "dma_map_sgtable" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xdadb6777, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf9cf78d8, "__mmap_lock_do_trace_released" },
	{ 0x5e5f45ec, "ib_alloc_xrcd_user" },
	{ 0xe70e184a, "xa_store" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0x17b00368, "rdma_set_cq_moderation" },
	{ 0x314a1ffc, "ib_dealloc_xrcd_user" },
	{ 0x6360a565, "dma_buf_detach" },
	{ 0x1535fabd, "stream_open" },
	{ 0xefede0cc, "ib_open_qp" },
	{ 0x8cb4546a, "ib_dealloc_pd_user" },
	{ 0x6d48f280, "rdma_get_gid_attr" },
	{ 0xe18e05f3, "dma_unmap_sg_attrs" },
	{ 0x62aad347, "rdma_port_get_link_layer" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x594a241c, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xa2e7819d, "rdma_query_gid_table" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4f482eb4, "rdma_restrack_put" },
	{ 0x3e22d25b, "ib_attach_mcast" },
	{ 0xd4416f56, "rdma_umap_priv_init" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xe5ad07fa, "ib_destroy_wq_user" },
	{ 0xc25604ef, "class_register" },
	{ 0x55433225, "cdev_init" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0xb4613a7d, "sg_pcopy_to_buffer" },
	{ 0xb3eeada3, "rdma_user_mmap_entry_put" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "1596CB3A170F3D74988DFC5");
MODULE_INFO(rhelversion, "9.99");
