#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x953cf10e, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x260a96a0, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xfce6ce79, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xc504c2ba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xf0d66675, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x31e2825e, "skb_copy_bits" },
	{ 0x4687f629, "__nlmsg_put" },
	{ 0xcc25c118, "netdev_adjacent_change_commit" },
	{ 0x846ff0d5, "eth_mac_addr" },
	{ 0xa817a3f, "skb_put" },
	{ 0x720e8b5b, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x65b99f8e, "ip6_dst_hoplimit" },
	{ 0x17e31b81, "param_ops_ushort" },
	{ 0xc97da90f, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x45bdb4f6, "nla_put_64bit" },
	{ 0x4bd25b2, "udp_sock_create4" },
	{ 0x395fb42c, "udp_tunnel6_xmit_skb" },
	{ 0x505f25fc, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xdf813b55, "__unregister_nexthop_notifier" },
	{ 0xe74f0f65, "netif_inherit_tso_max" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7567d919, "eth_validate_addr" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0xf5c24c21, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x52335ca, "rtnl_create_link" },
	{ 0x2a44ef51, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xcaf6b71c, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x41b262f7, "ether_setup" },
	{ 0x65f1f077, "udp_tunnel_drop_rx_port" },
	{ 0x44980713, "netdev_upper_dev_link" },
	{ 0xc0fdde0e, "pskb_expand_head" },
	{ 0x1517fc1e, "register_pernet_subsys" },
	{ 0x6e20dffa, "dev_addr_mod" },
	{ 0xc1991f58, "eth_type_trans" },
	{ 0x810e4cf3, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x8cc3c71f, "__alloc_skb" },
	{ 0x81881fb1, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xccdc724d, "eth_gro_complete" },
	{ 0xa4794e82, "rtnl_set_sk_err" },
	{ 0x5bec476e, "eth_gro_receive" },
	{ 0x3fb979c0, "rtnl_configure_link" },
	{ 0x6a009682, "skb_tunnel_check_pmtu" },
	{ 0x6bd57510, "udp_tunnel_dst_lookup" },
	{ 0xfee3573f, "rtnl_unicast" },
	{ 0x99e17849, "peernet2id" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x182a998f, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xca4c64f0, "__dev_get_by_index" },
	{ 0xc0feaba7, "rtnl_link_unregister" },
	{ 0x45b4f96b, "__skb_get_hash" },
	{ 0x469717cb, "ipv6_stub" },
	{ 0x80d036bd, "skb_pull" },
	{ 0x6c079071, "gro_find_complete_by_type" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5897481a, "dev_get_by_index_rcu" },
	{ 0x6682cc43, "kfree_skb_reason" },
	{ 0xf6920215, "gro_cells_receive" },
	{ 0xe80e400c, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xbd1d1579, "netdev_upper_dev_unlink" },
	{ 0xe1e4ba81, "nla_put" },
	{ 0xb377c804, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2cb79c6f, "ip_mc_join_group" },
	{ 0xaf3b943, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0x1ec7bdf3, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8f6634f, "ethtool_op_get_link" },
	{ 0x43985f37, "nexthop_find_by_id" },
	{ 0x679ebcbe, "arp_create" },
	{ 0xb0e5815d, "__ethtool_get_link_ksettings" },
	{ 0x772598f8, "netdev_adjacent_change_prepare" },
	{ 0xd487617d, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xc9a54c23, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xca290f5e, "netdev_adjacent_change_abort" },
	{ 0x5ad1fc39, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x3610854b, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xec6f274, "__iptunnel_pull_header" },
	{ 0x505fce58, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x7dedded7, "netif_rx" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0xd49cd556, "setup_udp_tunnel_sock" },
	{ 0xf8ba8d72, "udp_sock_create6" },
	{ 0x9b976d3e, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x392c5779, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xd13ae165, "skb_scrub_packet" },
	{ 0x798be819, "nexthop_select_path" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1213e0b2, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcfdef2e0, "neigh_destroy" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7d7e23c6, "param_ops_bool" },
	{ 0x2ce34756, "udp_tun_rx_dst" },
	{ 0xcf68df02, "rtnl_notify" },
	{ 0x34f7d40f, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x67e77da3, "__netif_rx" },
	{ 0x9f6d9cb, "skb_clone" },
	{ 0xb39160c, "metadata_dst_alloc" },
	{ 0x67afffa2, "dst_release" },
	{ 0xce9d585, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xdd1f3739, "udp_tunnel_notify_del_rx_port" },
	{ 0xafeb8ee2, "register_nexthop_notifier" },
	{ 0x2421cdab, "ip_mc_leave_group" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0x28c98ce7, "gro_find_receive_by_type" },
	{ 0x44e5091, "netdev_core_stats_inc" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0x55d3882b, "netdev_info" },
	{ 0x26d9d1af, "neigh_lookup" },
	{ 0xdd07b1d7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8ef0580e, "register_netdevice" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "B63CE678E931AC1B94A1C63");
MODULE_INFO(rhelversion, "9.99");
