#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(netfs_readahead, "", "");
KSYMTAB_FUNC(netfs_read_folio, "", "");
KSYMTAB_FUNC(netfs_write_begin, "", "");
KSYMTAB_FUNC(netfs_buffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_file_read_iter, "", "");
KSYMTAB_FUNC(netfs_perform_write, "", "");
KSYMTAB_FUNC(netfs_buffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_file_write_iter, "", "");
KSYMTAB_FUNC(netfs_page_mkwrite, "", "");
KSYMTAB_FUNC(netfs_writepages, "", "");
KSYMTAB_FUNC(netfs_launder_folio, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter, "", "");
KSYMTAB_FUNC(netfs_subreq_terminated, "", "");
KSYMTAB_FUNC(netfs_extract_user_iter, "_gpl", "");
KSYMTAB_FUNC(netfs_limit_iter, "", "");
KSYMTAB_FUNC(netfs_start_io_read, "", "");
KSYMTAB_FUNC(netfs_end_io_read, "", "");
KSYMTAB_FUNC(netfs_start_io_write, "", "");
KSYMTAB_FUNC(netfs_end_io_write, "", "");
KSYMTAB_FUNC(netfs_start_io_direct, "", "");
KSYMTAB_FUNC(netfs_end_io_direct, "", "");
KSYMTAB_DATA(__tracepoint_netfs_sreq, "", "");
KSYMTAB_FUNC(__traceiter_netfs_sreq, "", "");
KSYMTAB_DATA(__SCK__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(netfs_dirty_folio, "", "");
KSYMTAB_FUNC(netfs_unpin_writeback, "", "");
KSYMTAB_FUNC(netfs_clear_inode_writeback, "", "");
KSYMTAB_FUNC(netfs_invalidate_folio, "", "");
KSYMTAB_FUNC(netfs_release_folio, "", "");
KSYMTAB_FUNC(netfs_create_write_request, "", "");
KSYMTAB_FUNC(netfs_write_subrequest_terminated, "", "");
KSYMTAB_FUNC(netfs_queue_write_request, "", "");
KSYMTAB_FUNC(netfs_stats_show, "", "");
KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");
KSYMTAB_DATA(fscache_n_dio_misfit, "", "");

SYMBOL_CRC(netfs_readahead, 0x751021d5, "");
SYMBOL_CRC(netfs_read_folio, 0xd4f6baef, "");
SYMBOL_CRC(netfs_write_begin, 0xe26f7531, "");
SYMBOL_CRC(netfs_buffered_read_iter, 0xd6ae138a, "");
SYMBOL_CRC(netfs_file_read_iter, 0x09ce1e98, "");
SYMBOL_CRC(netfs_perform_write, 0x770e41af, "");
SYMBOL_CRC(netfs_buffered_write_iter_locked, 0x9386393b, "");
SYMBOL_CRC(netfs_file_write_iter, 0x568c60a8, "");
SYMBOL_CRC(netfs_page_mkwrite, 0x732ef0bf, "");
SYMBOL_CRC(netfs_writepages, 0xa3a22b4f, "");
SYMBOL_CRC(netfs_launder_folio, 0x642c10a4, "");
SYMBOL_CRC(netfs_unbuffered_read_iter, 0x851deef1, "");
SYMBOL_CRC(netfs_unbuffered_write_iter, 0x626e6aa4, "");
SYMBOL_CRC(netfs_subreq_terminated, 0xdea4ea09, "");
SYMBOL_CRC(netfs_extract_user_iter, 0x6766da23, "_gpl");
SYMBOL_CRC(netfs_limit_iter, 0x39ff6b13, "");
SYMBOL_CRC(netfs_start_io_read, 0x8d98dd23, "");
SYMBOL_CRC(netfs_end_io_read, 0xbbfa3013, "");
SYMBOL_CRC(netfs_start_io_write, 0x6fe856f9, "");
SYMBOL_CRC(netfs_end_io_write, 0x490704b8, "");
SYMBOL_CRC(netfs_start_io_direct, 0x1e6ae4a4, "");
SYMBOL_CRC(netfs_end_io_direct, 0x1f977af0, "");
SYMBOL_CRC(__tracepoint_netfs_sreq, 0xd244949f, "");
SYMBOL_CRC(__traceiter_netfs_sreq, 0xcb90ef5b, "");
SYMBOL_CRC(__SCK__tp_func_netfs_sreq, 0x895d0b7f, "");
SYMBOL_CRC(netfs_dirty_folio, 0xd9531bc8, "");
SYMBOL_CRC(netfs_unpin_writeback, 0xf557c4b1, "");
SYMBOL_CRC(netfs_clear_inode_writeback, 0xc18196f5, "");
SYMBOL_CRC(netfs_invalidate_folio, 0x127efb48, "");
SYMBOL_CRC(netfs_release_folio, 0x1db9de91, "");
SYMBOL_CRC(netfs_create_write_request, 0x7bd171d2, "");
SYMBOL_CRC(netfs_write_subrequest_terminated, 0x50b9b4e5, "");
SYMBOL_CRC(netfs_queue_write_request, 0xfb3f14e3, "");
SYMBOL_CRC(netfs_stats_show, 0xfeada0a6, "");
SYMBOL_CRC(fscache_addremove_sem, 0xf68b44dc, "");
SYMBOL_CRC(fscache_clearance_waiters, 0xff20eabd, "");
SYMBOL_CRC(fscache_acquire_cache, 0xb2f7d728, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x87c645e7, "");
SYMBOL_CRC(fscache_add_cache, 0x4977cd64, "");
SYMBOL_CRC(fscache_io_error, 0x446fff49, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x1137d33a, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x41841681, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x7131c62b, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x8efc3be2, "");
SYMBOL_CRC(fscache_caching_failed, 0x465dca58, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0x51aba158, "");
SYMBOL_CRC(__fscache_use_cookie, 0xb5069245, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x36cc051c, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0xee04e93d, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0xd9445040, "");
SYMBOL_CRC(fscache_put_cookie, 0xcc782c4d, "");
SYMBOL_CRC(fscache_get_cookie, 0xb8454e3f, "");
SYMBOL_CRC(__fscache_invalidate, 0x0bf9e02f, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x2a2a8546, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0x2f2f3c74, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0xf742db76, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0xaff84993, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x387de26e, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x7aa136ba, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x2b389369, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x4bd084ba, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x71fb0e58, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x6e416521, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x77e19a42, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x306805d3, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_end_volume_access, 0xfb62dd9e, "");
SYMBOL_CRC(__fscache_acquire_volume, 0xef826ab9, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0xa3d7d650, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x52bb725e, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");
SYMBOL_CRC(fscache_n_dio_misfit, 0x2acb5e19, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda733a3a, "__page_file_index" },
	{ 0x293727a8, "vfs_fsync_range" },
	{ 0x7dce2137, "wbc_detach_inode" },
	{ 0xa5da67c, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x69ad1435, "bpf_trace_run4" },
	{ 0xac7350b0, "kiocb_write_and_wait" },
	{ 0x90cc5e6, "param_ops_uint" },
	{ 0x571713f5, "__folio_batch_release" },
	{ 0xfc4e9d91, "folio_unlock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb8c22b8d, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x5a92a0f0, "xas_find_marked" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xec97c789, "generic_error_remove_folio" },
	{ 0xdca4aa79, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x57395910, "iov_iter_advance" },
	{ 0xdb31ab91, "trace_event_printf" },
	{ 0x3e17de6e, "xas_find" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xfec003e3, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0xd9ab80a2, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ecd4cbb, "invalidate_inode_pages2_range" },
	{ 0xa2b6f4d9, "wbc_attach_and_unlock_inode" },
	{ 0xb6c0b2fd, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe44f6bfe, "remove_proc_subtree" },
	{ 0x8ad3f19, "kmem_cache_create" },
	{ 0x6bae4023, "folio_clear_dirty_for_io" },
	{ 0x1e4f34fa, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x16336521, "filemap_alloc_folio" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x21e5c880, "xas_set_mark" },
	{ 0xe368097e, "__filemap_set_wb_err" },
	{ 0x78ba55a8, "__filemap_get_folio" },
	{ 0xab6ab4bf, "kmem_cache_alloc" },
	{ 0x8bcdcfbb, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x91eba533, "iov_iter_extract_pages" },
	{ 0x6f684eec, "copy_page_from_iter_atomic" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x612ffb29, "folio_wait_private_2" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x380ec283, "bit_waitqueue" },
	{ 0x2db5e7c2, "readahead_expand" },
	{ 0xacc95f66, "__inode_attach_wb" },
	{ 0x11ede7df, "balance_dirty_pages_ratelimited" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xccb0ac67, "__folio_lock_killable" },
	{ 0x1d8eac6c, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x7f291183, "xas_store" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xda4df85c, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc9d66255, "file_update_time" },
	{ 0xe7dcc743, "kmem_cache_free" },
	{ 0x5ea31546, "folio_alloc" },
	{ 0xdb3d503a, "seq_putc" },
	{ 0x40eaed1, "trace_event_reg" },
	{ 0xdcae46b4, "folio_wait_writeback" },
	{ 0x1974bcd8, "file_remove_privs" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xe9f99eb0, "__folio_start_writeback" },
	{ 0x8805d2cc, "bpf_trace_run1" },
	{ 0x6c739f71, "folio_end_writeback" },
	{ 0x252fe7e4, "down_read_interruptible" },
	{ 0xa1c06ced, "proc_mkdir" },
	{ 0x6f6d4ae1, "iov_iter_bvec" },
	{ 0x528bf41f, "unpin_user_page" },
	{ 0x914eb5f9, "folio_end_private_2" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x3ae03d40, "xas_pause" },
	{ 0x103bafd6, "down_read" },
	{ 0xe798236d, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1a042ddd, "bpf_trace_run3" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0xaf81c1aa, "trace_event_buffer_reserve" },
	{ 0x79cd6498, "down_write_killable" },
	{ 0xa06db14a, "filemap_fdatawait_range" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x989e1516, "xa_destroy" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x9494bb26, "__folio_put" },
	{ 0x736d1e41, "kiocb_invalidate_pages" },
	{ 0xc48c45d7, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3caba8c, "seq_printf" },
	{ 0xd3fa6245, "iov_iter_zero" },
	{ 0x99795c21, "touch_atime" },
	{ 0xe1556657, "filemap_read" },
	{ 0x390d3418, "__percpu_down_read" },
	{ 0x2346c9d8, "balance_dirty_pages_ratelimited_flags" },
	{ 0x4e9e6a05, "downgrade_write" },
	{ 0xba3724d1, "__folio_lock" },
	{ 0x7e06f100, "filemap_dirty_folio" },
	{ 0x54f37641, "seq_puts" },
	{ 0x5fa4ce72, "xas_nomem" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x99b32d37, "rcuwait_wake_up" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xf753a3f0, "iov_iter_xarray" },
	{ 0xc16baa36, "proc_create_single_data" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0x869d96b0, "filemap_write_and_wait_range" },
	{ 0x3e90661a, "folio_wait_writeback_killable" },
	{ 0x44b40ee5, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xd3606f12, "generic_write_checks" },
	{ 0xe6d211c, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x20e43669, "proc_create_seq_private" },
	{ 0xb5f0041, "folio_wait_private_2_killable" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xccdc42a6, "iov_iter_npages" },
	{ 0x3126a8bd, "fault_in_iov_iter_readable" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0x6286d0bb, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8572FC701D6C6681787C246");
MODULE_INFO(rhelversion, "9.99");
