#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x478821df, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x98e5c368, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x605b7ac1, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xa7915c5c, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x61d3b7a5, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x470a8e88, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x70549cad, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x278ecc4d, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xe0a998b1, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x62ed8acb, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x4434b3e6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1517fc1e, "register_pernet_subsys" },
	{ 0xc3caba8c, "seq_printf" },
	{ 0x54f37641, "seq_puts" },
	{ 0xc9a54c23, "unregister_pernet_subsys" },
	{ 0x129537b5, "nf_register_net_hooks" },
	{ 0x33f5eba2, "nf_unregister_net_hooks" },
	{ 0xc48c45d7, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x56876eb1, "security_skb_classify_flow" },
	{ 0xe2aafb1, "__nf_ip6_route" },
	{ 0x6682cc43, "kfree_skb_reason" },
	{ 0xfd97d18b, "xfrm_lookup" },
	{ 0xa28df36a, "ip6_local_out" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xeab7df11, "nf_ct_tmpl_alloc" },
	{ 0x34a9e4c8, "nf_ct_ext_add" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x3f9451c9, "proc_create_net_data" },
	{ 0xb916333e, "nf_ct_tmpl_free" },
	{ 0x7a96e55, "skb_ensure_writable" },
	{ 0xd8c78eaa, "inet_proto_csum_replace4" },
	{ 0x31e2825e, "skb_copy_bits" },
	{ 0xd99ee6e5, "ip_route_me_harder" },
	{ 0x770025f7, "ip_local_out" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x8cc3c71f, "__alloc_skb" },
	{ 0xa817a3f, "skb_put" },
	{ 0xb6088146, "__cookie_v4_init_sequence" },
	{ 0xe31d93a3, "__cookie_v6_init_sequence" },
	{ 0x52094679, "__cookie_v4_check" },
	{ 0xb89ff9c, "__cookie_v6_check" },
	{ 0x4741a3e4, "ipv6_skip_exthdr" },
	{ 0xe494b9bc, "nf_ct_seqadj_init" },
	{ 0xc97da90f, "consume_skb" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "A65D49E9DC03B412EB9E4B5");
MODULE_INFO(rhelversion, "9.99");
