#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x14150081, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x1f1b9a99, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xe9c519b9, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x6e7f835e, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x463d5aac, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x473e66c3, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xc0608069, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc2f34127, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x31e2825e, "skb_copy_bits" },
	{ 0x2a50fd04, "inet_unregister_protosw" },
	{ 0x3761d215, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4f6d03e0, "sock_wfree" },
	{ 0xa817a3f, "skb_put" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x23f01c5c, "__fl6_sock_lookup" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x65b99f8e, "ip6_dst_hoplimit" },
	{ 0xc97da90f, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x2aefbba3, "inet6_add_offload" },
	{ 0x1b75722, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1b1f248a, "inet6_bind" },
	{ 0xd3af979c, "memdup_user" },
	{ 0xb8c22b8d, "trace_raw_output_prep" },
	{ 0xfd1d8207, "l3mdev_fib_table_by_index" },
	{ 0x4bd25b2, "udp_sock_create4" },
	{ 0xffde6fa3, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x4e5da751, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xdca4aa79, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x2bb7db67, "skb_segment" },
	{ 0xdb31ab91, "trace_event_printf" },
	{ 0x71aee4b1, "__ip_dev_find" },
	{ 0x395fb42c, "udp_tunnel6_xmit_skb" },
	{ 0x78744171, "sock_common_getsockopt" },
	{ 0xcb886444, "inet_bind" },
	{ 0xf703a30d, "sock_create" },
	{ 0xc181e142, "net_hotdata" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xfcc2d6c2, "fd_install" },
	{ 0xfec003e3, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xcc0f4c5, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x2de3f093, "inet_register_protosw" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x11cea8e3, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xb6c0b2fd, "bpf_trace_run2" },
	{ 0x8245ae5b, "sock_common_setsockopt" },
	{ 0xe44f6bfe, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xba6326cf, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x8ad3f19, "kmem_cache_create" },
	{ 0x7c94a549, "__sk_mem_schedule" },
	{ 0x86522170, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x3019970, "sock_alloc_file" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x3f9451c9, "proc_create_net_data" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x4661db81, "sk_error_report" },
	{ 0x1517fc1e, "register_pernet_subsys" },
	{ 0xf240a724, "put_cmsg" },
	{ 0x1e4f34fa, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xa11c1b42, "register_net_sysctl_sz" },
	{ 0x7b7010ef, "inet_sock_destruct" },
	{ 0x63b935d1, "crypto_destroy_tfm" },
	{ 0x71fb15e, "sock_kmalloc" },
	{ 0x3f3caa25, "inet_sk_get_local_port_range" },
	{ 0x6a9453e6, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xf982468e, "inet_getname" },
	{ 0xd0974e75, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xe0e3187e, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x8cc3c71f, "__alloc_skb" },
	{ 0xc94fdebf, "__genradix_ptr" },
	{ 0xa9c236a1, "inet_release" },
	{ 0xab6ab4bf, "kmem_cache_alloc" },
	{ 0x859d8b55, "proto_register" },
	{ 0xdf1bc536, "skb_copy_expand" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0xabf21b22, "inet6_compat_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x64da4f58, "inet_ctl_sock_create" },
	{ 0x552f7a4, "inet_ioctl" },
	{ 0x8626d1ad, "reuseport_add_sock" },
	{ 0x18cd9a16, "reuseport_select_sock" },
	{ 0xb94f4d5d, "__kmalloc_node_track_caller" },
	{ 0x7d178561, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x314ae97e, "sk_filter_trim_cap" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x1d8eac6c, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x8fcc0846, "fput" },
	{ 0x215d7f82, "__traceiter_sk_data_ready" },
	{ 0x313293be, "inet_accept" },
	{ 0x23239a85, "init_net" },
	{ 0x79341e8f, "crypto_shash_setkey" },
	{ 0x80d036bd, "skb_pull" },
	{ 0x15860286, "inet_add_offload" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xafe427fd, "inet_add_protocol" },
	{ 0xefdc719e, "inet_shutdown" },
	{ 0xc815890b, "sk_free" },
	{ 0x17672805, "sock_wake_async" },
	{ 0x5897481a, "dev_get_by_index_rcu" },
	{ 0x6682cc43, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0xe09c42c6, "inet_del_offload" },
	{ 0xe80e400c, "skb_push" },
	{ 0x4e438ece, "__ip_queue_xmit" },
	{ 0xe7dcc743, "kmem_cache_free" },
	{ 0x553fe61, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x85abc85f, "strncmp" },
	{ 0x31500158, "proc_doulongvec_minmax" },
	{ 0x40eaed1, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x78d706df, "ns_capable" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x1ec7bdf3, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x10ec5448, "inet6_ioctl" },
	{ 0x4b2126a6, "skb_copy_datagram_iter" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0xd30a7735, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc9a54c23, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xa8db411d, "ip6_dst_lookup_flow" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x979b4bce, "sock_no_socketpair" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x5ad1fc39, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xec46b855, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x505fce58, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xd49cd556, "setup_udp_tunnel_sock" },
	{ 0xf8ba8d72, "udp_sock_create6" },
	{ 0x9b976d3e, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x2885aae2, "sk_common_release" },
	{ 0x1a042ddd, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x985cf181, "inet6_getname" },
	{ 0x2fbba9d8, "sock_i_ino" },
	{ 0x8a7a8683, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb64daed9, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xe213e8e6, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf9c69ad7, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xaf81c1aa, "trace_event_buffer_reserve" },
	{ 0x6cd9f9e6, "__skb_checksum" },
	{ 0xc27fe976, "reuseport_alloc" },
	{ 0x903942bc, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x204fcf3a, "inet6_release" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xda2a4940, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7d7e23c6, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa52b3c6a, "ipv6_dup_options" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x31d3199b, "rhltable_init" },
	{ 0x34f7d40f, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3caba8c, "seq_printf" },
	{ 0x332c4a39, "proc_create_net_single" },
	{ 0xc97c588d, "skb_copy" },
	{ 0x9f6d9cb, "skb_clone" },
	{ 0xdf4bece6, "inet_sk_set_state" },
	{ 0x67afffa2, "dst_release" },
	{ 0xd65cabfa, "_copy_from_iter" },
	{ 0x9ce4dcbe, "sock_release" },
	{ 0x4f267f6c, "inet_recv_error" },
	{ 0x74dae967, "proc_dointvec" },
	{ 0x54f37641, "seq_puts" },
	{ 0x23b12486, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0xd7f3ae67, "_proc_mkdir" },
	{ 0x11a1fcd6, "sk_setup_caps" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x1e96b054, "send_sig" },
	{ 0x49e0b1dc, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x8bdfcfac, "inet6_add_protocol" },
	{ 0x84e6635f, "from_kuid_munged" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0x980fac9e, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0xc8d12c8a, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa6575053, "ipv6_getsockopt" },
	{ 0xa697c010, "reuseport_detach_sock" },
	{ 0xece02f5a, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xe6d211c, "iov_iter_revert" },
	{ 0xfa23c8e1, "crypto_alloc_shash" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x11659a57, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0x6286d0bb, "kmem_cache_destroy" },
	{ 0xdd07b1d7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x90e60b58, "skb_queue_head" },
	{ 0xaa3212b1, "proc_dointvec_minmax" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "3ACEF8FE912095F45DC848F");
MODULE_INFO(rhelversion, "9.99");
