#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x72289b8e, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x629cbcfc, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x4d593610, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0xe0d64ee5, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x2c1e3fad, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x5b7d5eec, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x8c6fee41, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x802962bf, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x54388bef, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x0d8daf7a, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xa5ce8356, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x47c811f1, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x7f5aa658, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xc27883db, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x19c28c59, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xb461118c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x80c5f741, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x836b7262, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0xed0eb948, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xcc40ede4, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xd0455486, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x69dc8c06, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xc183e896, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xc44d5793, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x42f0ff71, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x72263e09, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xe5f2fe7c, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xcfef6fb3, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xbe91e4d7, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xdc7e1e31, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xe102cf34, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x9a4ed78b, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x26aee0e9, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x4a367d52, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x271a3289, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x67cbb0b4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x741d1dbd, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc042aee6, "vsock_insert_connected" },
	{ 0xa817a3f, "skb_put" },
	{ 0xc97da90f, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xb8c22b8d, "trace_raw_output_prep" },
	{ 0xdca4aa79, "__trace_trigger_soft_disabled" },
	{ 0x172338ab, "vsock_remove_sock" },
	{ 0xdb31ab91, "trace_event_printf" },
	{ 0x94bbf258, "vsock_deliver_tap" },
	{ 0xfec003e3, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x4661db81, "sk_error_report" },
	{ 0x1e4f34fa, "trace_event_buffer_commit" },
	{ 0x82612ba, "vsock_find_bound_socket" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x8cc3c71f, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x1d8eac6c, "perf_trace_run_bpf_submit" },
	{ 0xc815890b, "sk_free" },
	{ 0x6682cc43, "kfree_skb_reason" },
	{ 0x40eaed1, "trace_event_reg" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x55d72b23, "__skb_recv_datagram" },
	{ 0x1ec7bdf3, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8178085e, "vsock_stream_has_data" },
	{ 0x4b2126a6, "skb_copy_datagram_iter" },
	{ 0x7c4059cc, "bpf_trace_run9" },
	{ 0xdca49b5b, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x276fa51d, "sock_efree" },
	{ 0x7ec1aa6b, "bpf_trace_run10" },
	{ 0x36440e99, "vsock_core_get_transport" },
	{ 0x845ac9ed, "__zerocopy_sg_from_iter" },
	{ 0xefb91b86, "vsock_stream_has_space" },
	{ 0xf9c69ad7, "skb_set_owner_w" },
	{ 0xaf81c1aa, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd65cabfa, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xd52756b5, "msg_zerocopy_realloc" },
	{ 0x86f48f92, "kmalloc_trace" },
	{ 0x3d59b772, "vsock_create_connected" },
	{ 0xeab3dd43, "vsock_assign_transport" },
	{ 0xe6d211c, "iov_iter_revert" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xccdc42a6, "iov_iter_npages" },
	{ 0xfb0e0d0b, "kmalloc_caches" },
	{ 0xdd07b1d7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x78bb12e8, "vsock_data_ready" },
	{ 0x50b93b95, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "B7AB3D40AC5002F62758AC0");
MODULE_INFO(rhelversion, "9.99");
